EPI2xxx, ERI2xxx - IO-Link box modules with digital outputs
Home


Foreword

Foreword
Foreword
Additional information
•
Notes on the documentation
•
Safety instructions
•
Documentation issue status


Notes on the documentation

Foreword [image] Notes on the documentation
Notes on the documentation
Intended audience
This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the documentation and the following notes and explanations are followed when installing and commissioning these components.
It is the duty of the technical personnel to use the documentation published at the respective time of each installation and commissioning.
The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.
Disclaimer
The documentation has been prepared with care. The products described are, however, constantly under development.
We reserve the right to revise and change the documentation at any time and without prior announcement.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.
Trademarks
Beckhoff®, TwinCAT®, EtherCAT®, EtherCAT G®, EtherCAT G10®, EtherCAT P®, Safety over EtherCAT®, TwinSAFE®, XFC®, XTS® and XPlanar® are registered trademarks of and licensed by Beckhoff Automation GmbH. Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.
Patent Pending
The EtherCAT Technology is covered, including but not limited to the following patent applications and patents: EP1590927, EP1789857, EP1456722, EP2137893, DE102015105702 with corresponding applications or registrations in various other countries.
EtherCAT® is registered trademark and patented technology, licensed by Beckhoff Automation GmbH, Germany.
Copyright
© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Safety instructions

Foreword [image] Safety instructions
Safety instructions
Safety regulations
Please note the following safety instructions and explanations!
Product-specific safety instructions can be found on following pages or in the areas mounting, wiring, commissioning etc.
Exclusion of liability
All the components are supplied in particular hardware and software configurations appropriate for the application. Modifications to hardware or software configurations other than those described in the documentation are not permitted, and nullify the liability of Beckhoff Automation GmbH & Co. KG.
Personnel qualification
This description is only intended for trained specialists in control, automation and drive engineering who are familiar with the applicable national standards.
Description of instructions
In this documentation the following instructions are used.
These instructions must be read carefully and followed without fail!
SmallWarningYellow DANGER
Serious risk of injury!
Failure to follow this safety instruction directly endangers the life and health of persons.
SmallWarningYellow WARNING
Risk of injury!
Failure to follow this safety instruction endangers the life and health of persons.
SmallWarningYellow CAUTION
Personal injuries!
Failure to follow this safety instruction can lead to injuries to persons.
Note
Damage to environment/equipment or data loss
Failure to follow this instruction can lead to environmental damage, equipment damage or data loss.
Tip or pointer
This symbol indicates information that contributes to better understanding.


Documentation issue status

Foreword [image] Documentation issue status
Documentation issue status
Version
Comment
1.4
▪
EPI2338-000x, ERI2338-000x: Imprint updated
1.3
▪
Chapter "Process data" added
1.2
▪
ERI2xxx added
▪
Introduction updated
▪
Technical Data updated
▪
Connection IO-Link Master updated
▪
Cabling updated
▪
Update chapter "IO-Link Master" and "IO-Link Device"
▪
Update structure
▪
Corrections
1.1.2
▪
EPI2008 - Technical Data updated
▪
EPI2809 - Technical Data updated
▪
EPI2338 - Technical Data updated
▪
EPI2339 - Technical Data updated
1.1.1
▪
Firmware update of the IO-Link device updated
1.1.0
▪
EPI2008-000x - Object description and parameterization updated
▪
EPI2809-002x - Object description and parameterization updated
▪
EPI2338-000x - Object description and parameterization updated
▪
EPI2339-002x - Object description and parameterization updated
1.0.0
▪
First publication
0.6
▪
Corrections
0.5
▪
First preliminary version
Firm and hardware version
The documentation refers to the firm and hardware status that was valid at the time it was prepared.
The properties of the modules are subject to continuous development and improvement. Modules having earlier production statuses cannot have the same properties as modules with the latest status. Existing properties, however, are always retained and are not changed, so that these modules can always be replaced by new ones.
The firmware and hardware version (delivery state) can be found in the batch number (D number) printed at the side of the IO-Link box module.
Syntax of the batch number (D number)
D: WW YY FF HH
WW - week of production (calendar week)
YY - year of production
FF - firmware version
HH - hardware version
Example with D No. 29 10 02 01:
29 - week of production 29
10 - year of production 2010
02 - firmware version 02
01 - hardware version 01


Product overview

Product overview
Product overview
Additional information
•
EPI2xxx, ERI2xxx Module overview
•
EPI2008-000x, ERI2008-000x
•
EPI2809-002x, ERI2809-002x
•
EPI2338-000x, ERI2338-000x
•
EPI2339-002x, ERI2339-002x


EPI2xxx, ERI2xxx Module overview

Product overview [image] EPI2xxx, ERI2xxx Module overview
EPI2xxx, ERI2xxx Module overview
Digital output modules
Module | Signal connection | Number of outputs | Current | Comment | Housing
EPI2008-0001 | 8 x M8 | 8 | 0,5 A (Σ 4 A) | Maximum of the total of all outputs 4 A | Industrial housing
ERI2008-0001 | 8 x M8 | 8 | 0,5 A (Σ 4 A) | Maximum of the total of all outputs 4 A | Zinc die-cast housing
EPI2008-0002 | 4 x M12 | 8 | 0,5 A (Σ 4 A) | Maximum of the total of all outputs 4 A | Industrial housing
ERI2008-0002 | 4 x M12 | 8 | 0,5 A (Σ 4 A) | Maximum of the total of all outputs 4 A | Zinc die-cast housing
EPI2809-0021 | 16 x M8 | 16 | 0,5 A (Σ 4 A) |  | Industrial housing, wide body
ERI2809-0021 | 16 x M8 | 16 | 0,5 A (Σ 4 A) |  | Zinc die-cast housing, wide body
EPI2809-0022 | 8 x M12 | 16 | 0,5 A (Σ 4 A) |  | Industrial housing, wide body
ERI2809-0022 | 8 x M12 | 16 | 0,5 A (Σ 4 A) |  | Zinc die-cast housing, wide body
Digital combination modules
Module | Signal connection | Number of outputs | Current | Number of inputs | Filter (Default adjustment) | Housing
EPI2338-0001 | 8 x M8 | 0 bis 8 | 0,5 A (Σ 4 A) | 8 bis 0 | 3,0 ms | Industrial housing
ERI2338-0001 | 8 x M8 | 0 bis 8 | 0,5 A (Σ 4 A) | 8 bis 0 | 3,0 ms | Zinc die-cast housing
EPI2338-0002 | 4 x M12 | 0 bis 8 | 0,5 A (Σ 4 A) | 8 bis 0 | 3,0 ms | Industrial housing
ERI2338-0002 | 4 x M12 | 0 bis 8 | 0,5 A (Σ 4 A) | 8 bis 0 | 3,0 ms | Zinc die-cast housing
EPI2339-0021 | 16 x M8 | 0 bis 16 | 0,5 A (Σ 4 A) | 16 bis 0 | 3,0 ms | Industrial housing, wide body
ERI2339-0021 | 16 x M8 | 0 bis 16 | 0,5 A (Σ 4 A) | 16 bis 0 | 3,0 ms | Zinc die-cast housing, wide body
EPI2339-0022 | 8 x M12 | 0 bis 16 | 0,5 A (Σ 4 A) | 16 bis 0 | 3,0 ms | Industrial housing, wide body
ERI2339-0022 | 8 x M12 | 0 bis 16 | 0,5 A (Σ 4 A) | 16 bis 0 | 3,0 ms | Zinc die-cast housing, wide body


EPI2008-000x, ERI2008-000x

Product overview [image] EPI2008-000x, ERI2008-000x
EPI2008-000x, ERI2008-000x
Additional information
•
Introduction
•
Technical Data
•
Process image


Introduction

Product overview [image] EPI2008-000x, ERI2008-000x [image] Introduction
Introduction
EPI2008-0001, ERI2008-0001
EPI2008-0002, ERI2008-0002
8 digital outputs, 24 VDC, Imax 0.5 A
The EPI2008-000x and ERI2008-000x IO-Link Boxes with digital outputs connect binary control signals from the controller to the actuators at the process level. The 8 outputs handle load currents of up to 0.5 A, and indicate their status through light emitting diodes.
The signals are connected optionally via M8 connectors (EPI2008-0001, ERI2008-0001) or M12 connectors (EPI2008-0002, ERI2008-0002). The outputs are short-circuit proof and protected against inverse connection.
The IO-Link box modules with zinc die-cast housing (ERIxxxx) are ready for use in harsh industrial and process environments. With the fully sealed design and metal surfaces the ERI series is ideal for applications requiring enhanced load capacity and protection against weld spatter, for example.
Quick links
Mounting and connection


Technical Data

Product overview [image] EPI2008-000x, ERI2008-000x [image] Technical Data
Technical Data
Technical data | EPI2008-0001 | ERI2008-0001 | EPI2008-0002 | ERI2008-0002
Communication | IO-Link
Data transfer rate | 230,4 kBaud (COM 3)
IO-Link connection | 1 x M12 connector, a-coded
Specification version | IO-Link V1.1, Class B
Requirements IO-Link Master | V1.1
Number of outputs | 8
Output connections | M8 |  | M12
Load type | Ohmic, inductive, lamp load
Rated output voltage | 24 VDC (-15%/+20%)
Output current | max. 0.5 A each channel
Short circuit current | typically 1.5 A
Module electronic current consumption | typically 100 mA from L+
Output driver current consumption | typically 8 mA per channel
Module electronic supply | L+
Output driver supply | 2L+
Process image | 8 output bits
Housing | Industrial housing (polyamide PA6) | Zinc die-cast housing | Industrial housing (polyamide PA6) | Zinc die-cast housing
Permissible ambient temperature during operation | -25 … +60 °C -25 … +55 °C conforms to cURus
Permissible ambient temperature during storage | -40 … +85 °C
Vibration / shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27
EMC resistance/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP65, IP66, IP67 (conforms to EN 60529) see also chapter General operating conditions
Installation position | variable
Approvals | CE, cURus


Process image

Product overview [image] EPI2008-000x, ERI2008-000x [image] Process image
Process image
Output 0 to Output 7
The IO-Link device is connected to IO-Link Port1 of the IO-Link master (EP6224-3022).
You will find the 8 digital outputs to the module (here using the EPI2008-0001 as an example) under Output 0 to Output 7.
EPI2008-000x, Process image


EPI2809-002x, ERI2809-002x

Product overview [image] EPI2809-002x, ERI2809-002x
EPI2809-002x, ERI2809-002x
Additional information
•
Introduction
•
Technical data
•
Process image


Introduction

Product overview [image] EPI2809-002x, ERI2809-002x [image] Introduction
Introduction
EPI2809-0021, ERI2809-0021
EPI2809-0022, ERI2809-0022
16 digital outputs 24 VDC, Imax 0.5 A (Σ 4 A)
The EPI2809-002x and ERI2809-002x IO-Link Boxes with digital outputs connect the binary control signals from the controller on to the actuators at the process level.
The 16 outputs handle load currents of up to 0.5 A each, although the total current is limited to 4 A. This makes these modules particularly suitable for applications in which not all of the outputs are active at the same time, or in which not all of the actuators draw 0.5 A current.
The signal state is indicated by means of light emitting diodes. The signals are connected via M8 connectors (EPI2809-0021, ERI2809-0021) or M12 connectors (EPI2809-0022, ERI2809-0022). All outputs are short-circuit-proof and protected against inverse connection.
The IO-Link box modules with zinc die-cast housing (ERIxxxx) are ready for use in harsh industrial and process environments. With the fully sealed design and metal surfaces the ERI series is ideal for applications requiring enhanced load capacity and protection against weld spatter, for example.
Quick links
Mounting and connection


Technical data

Product overview [image] EPI2809-002x, ERI2809-002x [image] Technical data
Technical data
Technical data | EPI2809-0021 | ERI2809-0021 | EPI2809-0022 | ERI2809-0022
Communication | IO-Link
Data transfer rate | 230,4 kBaud (COM 3)
IO-Link connection | 1 x M12 connector, a-coded
Specification version | IO-Link V1.1, Class B
Requirements IO-Link Master | V1.1
Number of outputs | 16
Output connections | M8 |  | M12
Load type | ohmic, inductive, lamp load
Rated output voltage | 24 VDC (-15%/+20%)
Output current | max. 0.5 A each channel, total current of all outputs max. 4 A
Short circuit current | max. 4.0 A
Module electronic current consumption | typically 100 mA from L+
Output driver current consumption | typically 20 mA
Module electronic supply | L+
Output driver supply | 2L+
Process image | 16 output bits
Housing | Industrial housing (polyamide PA6) | Zinc die-cast housing | Industrial housing (polyamide PA6) | Zinc die-cast housing
Permissible ambient temperature during operation | -25 … +60 °C -25 … +60 °C conforms to cURus
Permissible ambient temperature during storage | -40 … +85 °C
Vibration / shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27
EMC resistance / emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP65, IP66, IP67 (conforms to EN 60529) see also chapter General operating conditions
Installation position | variable
Approvals | CE, cURus


Process image

Product overview [image] EPI2809-002x, ERI2809-002x [image] Process image
Process image
Output 0 to Output 15
The IO-Link device is connected to IO-Link Port1 of the IO-Link master (EP6224-3022).
You will find the 16 digital outputs to the module (here using the EPI2809-0021 as an example) under Output 0 to Output 15.
EPI2809-002x, Process image


EPI2338-000x, ERI2338-000x

Product overview [image] EPI2338-000x, ERI2338-000x
EPI2338-000x, ERI2338-000x
Additional information
•
Introduction
•
Technical Data
•
Process image


Introduction

Product overview [image] EPI2338-000x, ERI2338-000x [image] Introduction
Introduction
EPI2338-0001, ERI2338-0001 Inventarbild Website
EPI2338-0001, ERI2338-0001
EPI2338-0002, ERI2338-0002 Inventarbild Website
EPI2338-0002, ERI2338-0002
8 digital in or outputs, 24 VDC
The EPI2338-000x and ERI2338-000x IO-Link Boxes have eight digital channels, each of which can optionally be operated as an input or as an output. A configuration if a channel should be used as input or as an output is not necessary; the input circuit is internally connected to the output driver, so a set output is displayed automatically to the input process image.
The outputs handle load currents of up to 0.5 A, are short-circuit proof and protected against inverse polarity.
The filter constant of the inputs is 3.0 ms (EPI2338-000x, ERI2338-000x).
The state of each signal is indicated by means of light emitting diodes. The signals are connected, optionally, via M8 connectors (EPI2338-0001, ERI2338-0001) or M12 connectors (EPI2338-0002, ERI2338-0002).
The connected sensors are powered via 2L+, not from L+
The IO-Link Boxes EPI2338 and ERI2338 supplies digital sensors in contrast to many other modules from the additional supply voltage 2L+, not from the voltage L+! This happens because the connectors can be used alternatively as input or as output. Anyway an overload of the sensor supply (current > 0.5 A) is here also displayed by red shining of the LED “24 V”.
Note
For switch off in the event of a fault do no external sensor power supply
If the design of your installation is such that the additional supply voltage 2L+ is switched off in the event of a fault, you must not power the connected sensors externally, but only through the EPI23x8, ERI23x8! Otherwise, when the 2L+ energy is switched off, the EPI23x8, ERI23x8 can continue to draw energy from the external sensor power supply, and the outputs will not be switched off!
The IO-Link box modules with zinc die-cast housing (ERIxxxx) are ready for use in harsh industrial and process environments. With the fully sealed design and metal surfaces the ERI series is ideal for applications requiring enhanced load capacity and protection against weld spatter, for example.
Quick links
Mounting and connection


Technical Data

Product overview [image] EPI2338-000x, ERI2338-000x [image] Technical Data
Technical Data
Technical data | EPI2338-0001 | ERI2338-0001 | EPI2338-0002 | ERI2338-0002
Communication | IO-Link
Data transfer rate | 230,4 kBaud (COM 3)
IO-Link connection | 1 x M12 connector, a-coded
Specification version | IO-Link V1.1, Class B
Requirements IO-Link Master | V1.1
Number of outputs | 8 to 0
Output connections | M8 |  | M12
Load type | ohmic, inductive, lamp load
Rated output voltage | 24 VDC (-15%/+20%)
Output current | max. 0.5 A each channel
Short circuit current | max. 1.5 A
Module electronic current consumption | typically 100 mA from L+
Output driver current consumption | typically 20 mA
Module electronic supply | L+
Output driver supply | 2L+
Number of inputs | 0 to 8
Input connections | M8 |  | M12
Nominal input voltage | 24 VDC (-15%/+20%)
Input filter (adjustable) | 3.0 ms (default), adjustable between 0 ms and 20 ms
Input signal extension time (adjustable) | 0 ms (default), adjustable between 0 ms and 100 ms
"0" signal voltage | -3 V...+5 V (EN 61131-2, Type 3)
"1" signal voltage | +11 V...+30 V (EN 61131-2, Type 3)
Input current | typically 3 mA (EN 61131-2, Type 3)
Sensor supply | US1 (derived from L+)
Process image | 8 input bits, 8 output bits
Housing | Industrial housing (polyamide PA6) | Zinc die-cast housing | Industrial housing (polyamide PA6) | Zinc die-cast housing
Permissible ambient temperature during operation | -25 … +60 °C -25 … +55 °C conforms to cURus
Permissible ambient temperature during storage | -40 … +85 °C
Vibration / shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27
EMC resistance/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP65, IP66, IP67 (conforms to EN 60529) see also chapter General operating conditions
Installation position | variable
Approvals | CE, cURus
Also see about this
•
UL Requirements


Process image

Product overview [image] EPI2338-000x, ERI2338-000x [image] Process image
Process image
Inputs and Outputs
The IO-Link device is connected to IO-Link Port1 of the IO-Link master (EP6224-3022).
You will find the 8 digital inputs to the module (here using the EPI2338-0001 as an example) under Input 0 to Input 7 and the 8 digital outputs under Output 0 to Output 7.
EPI2338-000x, Process image


EPI2339-002x, ERI2339-002x

Product overview [image] EPI2339-002x, ERI2339-002x
EPI2339-002x, ERI2339-002x
Additional information
•
Introduction
•
Technical data
•
Process image


Introduction

Product overview [image] EPI2339-002x, ERI2339-002x [image] Introduction
Introduction
EPI2339-0021, ERI2339-0021
EPI2339-0022, ERI2339-0022
16 digital in or outputs, 24 VDC
The EPI2339-002x and ERI2339-002x IO-Link Boxes has 16 digital channels, each of which can optionally be operated as an input or as an output. A configuration if a channel should be used as input or as an output is not necessary; the input circuit is internally connected to the output driver, so a set output is displayed automatically to the input process image.
The outputs handle load currents of up to 0.5 A, are short-circuit proof and protected against inverse polarity.
The filter constant of the inputs is 3 ms.
The state of each signal is indicated by means of light emitting diodes. The signals are connected via M8 connectors (EPI2339-0021, ERI2339-0021) or M12 connectors (EPI2339-0022, ERI2339-0022).
The connected sensors are powered via 2L+, not from L+
The IO-Link Boxes EPI2339-002x and ERI2339-002x supply digital sensors in contrast to many other modules from the additional supply voltage 2L+, not from the voltage L+! This happens because the connectors can be used alternatively as input or as output. Anyway an overload of the sensor supply (current > 0,5 A) is here also displayed by red shining of the LED “24 V”.
Note
For switch off in the event of a fault, do no external sensor power supply
If the design of your installation is such that the additional supply voltage 2L+ is switched off in the event of a fault, you must not power the connected sensors externally, but only through the EPI23x9, ERI23x9! Otherwise, when the 2L+ energy is switched off, the EPI23x9, ERI23x9 can continue to draw energy from the external sensor power supply, and the outputs will not be switched off!
The IO-Link box modules with zinc die-cast housing (ERIxxxx) are ready for use in harsh industrial and process environments. With the fully sealed design and metal surfaces the ERI series is ideal for applications requiring enhanced load capacity and protection against weld spatter, for example.
Quick links
Mounting and connection


Technical data

Product overview [image] EPI2339-002x, ERI2339-002x [image] Technical data
Technical data
Technical data | EPI2339-0021 | ERI2339-0021 | EPI2339-0022 | ERI2339-0022
Communication | IO-Link
Data transfer rate | 230,4 kBaud (COM 3)
IO-Link connection | 1 x M12 connector, a-coded
Specification version | IO-Link V1.1, Class B
Requirements IO-Link Master | V1.1
Number of outputs | 16 to 0
Output connections | M8 |  | M12
Load type | ohmic, inductive, lamp load
Rated output voltage | 24 VDC (-15%/+20%)
Output current | max. 0.5 A each channel
Output driver current consumption | typically 20 mA
Short circuit current | max. 1.5 A
Module electronic supply | L+
Output driver supply | 2L+
Number of inputs | 0 to 16
Input connections | M8 |  | M12
Nominal input voltage | 24 VDC (-15%/+20%)
Input filter (adjustable) | 3,0 ms (default), adjustable between 0 ms and 20 ms
Input signal extension time (adjustable) | 0 ms (default), adjustable between 0 ms and 100 ms
"0" signal voltage | -3 V...+5 V (EN 61131-2, Type 3)
"1" signal voltage | +11 V...+30 V (EN 61131-2, Type 3)
Input current | typically 3 mA (EN 61131-2, Type 3)
Module electronic current consumption | typically 100 mA from L+
Sensor supply | US1 (derived from L+)
Sensor current consumption | max. 0.5 A total, short-circuit proof
Process image | 16 input bits, 16 output bits
Housing | Industrial housing (polyamide PA6) | Zinc die-cast housing | Industrial housing (polyamide PA6) | Zinc die-cast housing
Permissible ambient temperature during operation | -25 … +60 °C -25 … +55 °C conforms to cURus
Permissible ambient temperature during storage | -40 … +85 °C
Vibration / shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27
EMC resistance / emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP65, IP66, IP67 (conforms to EN 60529) see also chapter General operating conditions
Installation position | variable
Approvals | CE, cURus


Process image

Product overview [image] EPI2339-002x, ERI2339-002x [image] Process image
Process image
Inputs and Outputs
The IO-Link device is connected to IO-Link Port1 of the IO-Link master (EP6224-3022).
You will find the 16 digital inputs to the module under Input 0 to Input 15 and the 16 digital outputs under Output 0 to Output 15 (here using the EPI2339-0021 as an example).
EPI2339-002x Process image, digital inputs and digital outputs


IO-Link basics

IO-Link basics
IO-Link basics
IO-Link represents a communication system for the connection of intelligent sensors and actuators to an automation system in the IEC 61131-9 standard under the designation "Single-drop digital communication interface for small sensors and actuators" (SDCI).
The electrical connection data and the communication protocol are standardized and summarized in the IO-Link specification.
IO-Link specification
The development of the EP6224-xxxxxx was based on IO-Link specification 1.1. At the time of the preparation of this documentation, the IO-Link specification is entering the IEC standardization and will be adopted in extended form as IEC 61131-9. The new designation SDCI will be introduced at the same time. As a member of the respective committee, Beckhoff supports the development of IO-Link and reflects changes to the specification in its products.
Additional information
•
IO-Link system configuration
•
Establishment of IO-Link communication
•
Device description IODD
•
Parameter server
•
Data transfer rate


IO-Link system configuration

IO-Link basics [image] IO-Link system configuration
IO-Link system configuration
An IO-Link system consists of an IO-Link master, one or more IO-Link devices and sensors or actuators. The IO-Link master provides the interface to the higher-level controller and controls the communication with the connected IO-Link devices. The EP6224-xxxx IO-Link master module from Beckhoff has four IO-Link ports, each of which can be connected to an IO-Link-Device. IO-Link is therefore not a fieldbus, but a peer-to-peer connection (see figure below).
IO-Link overview: Peer-to-peer communication
The connected IO-Link devices have individual parameter information, which is detected during automatic scanning with TwinCAT and transferred to the System Manager (see chapter "Basic function principles", integration of IO-Link devices). Module-specific information can be imported offline in the form of an IO-Link Device Description (IODD) and transferred to TwinCAT.
▪
How to manually configure (physically non-existent) IO-Link masters and devices in TwinCAT is described under the following two links: Offline configuration settings - TwinCAT (master), 1. Importing the device description IODD
▪
How to configure physically existent IO-Link masters and devices in TwinCAT is described under the following two links: Online configuration settings - TwinCAT (master), 2. Automatic scanning of the IO-Link ports


Establishment of IO-Link communication

IO-Link basics [image] Establishment of IO-Link communication
Establishment of IO-Link communication
Establishment of IO-Link communication
The establishment of the IO-Link communication is illustrated in Fig. Establishment of IO-Link communication. This illustrates in particular the sequence when automatically scanning the IO-Link port.
Establishment of IO-Link communication
▪
If an IO-Link device is connected to a master port, the master attempts to establish communication. A defined signal level, the WakeUp pulse, signals to the slave that UART bytes are to be sent from now on.
From this point on, all data will be interpreted by the IO-Link slave as UART bytes.
▪
The master runs through all baud rates, starting with the fastest baud rate (COM3 = 230 kbaud). A successful connection has been established when the slave responds to the WakeUp pulse.
▪
First of all the master reads the basic parameters (Vendor ID, Device ID, process data length, telegram type and cycle time) and compares them with the existing configuration.
▪
If no connection could be established to the slave, or if the saved parameters differ from those read, the corresponding error is output.
▪
If the saved parameters differ from those read, the IO-Link device changes to the PREOP state.
If the IO-Link device specification is V1.1, the parameter server is now executed. If the IO-Link device specification is V1.0, this step is omitted and the device changes directly to OP.
▪
Finally the cycle time is written and the device changes to OP. After that the master cyclically exchanges data with the slave.


Device description IODD

IO-Link basics [image] Device description IODD
Device description IODD
IO-Link devices possess individual system information in the form of an IO device description (IODD), which contains:
▪
Communication features
▪
Device parameters with value range and default values
▪
Identification, process and diagnostic data
▪
Device data
▪
Text description
▪
Picture of the device
▪
Vendor's logo
If the IODD is imported, then the device data are automatically detected during automatic scanning with TwinCAT and adopted in the System Manager (cf. integration of the IO-Link devices).


Parameter server

IO-Link basics [image] Parameter server
Parameter server
In order to be able to use the functionality of the parameter server, both the IO-Link master and the IO-Link device must be specified to V1.1. The IO-Link revision of the device can be read for the individual port under Settings. The Beckhoff IO-Link master supports specification V1.1 from FW 07.
▪
The parameter server in the IO-Link master contains parameter data that are saved in the IO-Link device. The memory capacity is max. 2 kbyte (including header).
If the IO-Link-Device is exchanged, then the data are loaded from the parameter server into the new device. The requirement for this is that the device is of the same type (VendorID & DeviceID must be the same).
▪
If a new IO-Link-Device is configured, then the IO-Link master loads the parameters from the IO-Link-Device into the parameter server when starting for the first time.
Data from other IO-Link devices that are already configured (VendorID & DeviceID do not correspond to the configured device) are overwritten.
▪
At each further start the IO-Link master uses a checksum to check whether the data in the parameter server correspond to those on the IO-Link-Device and if necessary downloads them to the device.
▪
If the parameters change during the device runtime, this can be reported via the Master's special event. The master then starts the parameter server with an upload.
▪
By default the event is not set each time the parameters are written, therefore the end of the parameterization procedure has to be reported to the IO-Link device.
The IO-Link-Device then sends the corresponding event to the master. The data are loaded into the parameter server.
▪
In the case of a pre-programmed IO-Link-Device, no download takes place from the parameter server to the device.


Data transfer rate

IO-Link basics [image] Data transfer rate
Data transfer rate
An IO-Link master according to specification V1.1 supports all three transmission types and automatically adjusts the data transfer rate to that of the IO-Link device.
An IO-Link device usually supports only one data transfer rate. IO-Link devices with different data transfer rate can be connected to the various ports of the master.
▪
COM1 = 4.8 kbaud
▪
COM2 = 38.4 kbaud
▪
COM3 = 230.4 kbaud


Mounting and connection

Mounting and connection
Mounting and connection
Additional information
•
Mounting
•
IO-Link connection
•
Status LEDs for power supply
•
Signal connection
•
UL Requirements
•
Cabling


Mounting

Mounting and connection [image] Mounting
Mounting
Additional information
•
Dimensions
•
Fixing
•
Tightening torques for plug connectors


Dimensions

Mounting and connection [image] Mounting [image] Dimensions
Dimensions
Dimensions
All dimensions are given in millimeters.
Housing features
IO-Link box modules | Narrow housing | Wide housing
Housing material | EPIxxxx: PA6 (polyamide) ERIxxxx: Die-cast zinc
Sealing compound | Polyurethane
Mounting | two fastening holes Ø 3 mm for M3 | two fastening holes Ø 4.5 mm for M4
Metal parts | Brass, nickel-plated
Contacts | CuZn, gold-plated
Installation position | variable
Protection class | IP65, IP66, IP67 (conforms to EN 60529) when screwed together
Dimensions (H x W x D) | approx. 126 x 30 x 26.5 mm | approx. 126 x 60 x 26.5 mm
Weight | approx. 125 g, depending on module type | approx. 250 g, depending on module type


Fixing

Mounting and connection [image] Mounting [image] Fixing
Fixing
Protect connectors against soiling
Protect all connections from contamination during module installation! Protection class IP65 can only be guaranteed if all cables and connectors are connected! Unused connections must be protected with the appropriate connectors! Connector sets see catalog.
Modules with narrow housing are installed with two M3 screws.
Modules with wide housing are installed with two M3 screws in the mounting holes in the corners or two M4 screws in the central fastening holes.
The bolts must be longer than 15 mm. The fastening holes in the modules have no thread.
Note when mounting that the overall height is increased further by the fieldbus connections. See the Accessories section.
Mounting Rail ZS5300-0001
The mounting rail ZS5300-0001 (500 mm x 129 mm) allows the time saving assembly of modules.
The rail is made of stainless steel, 1.5 mm thick, with already pre-made M3 threads for the modules. The rail has got 5.3 mm slots to mount it via M5 screws to the machine.
Mounting Rail ZS5300-000
The mounting rail is 500 mm long, that way 15 narrow modules can be mounted with a distance of 2 mm between two modules. The rail can be cut to length for the application.
Mounting Rail ZS5300-0011
The mounting rail ZS5300-0011 (500 mm x 129 mm) has in addition to the M3 treads also pre-made M4 treads to fix 60 mm wide modules via their middle holes.
Up to 14 narrow or 7 wide modules may be mixed mounted.


Tightening torques for plug connectors

Mounting and connection [image] Mounting [image] Tightening torques for plug connectors
Tightening torques for plug connectors
Screw connectors tight with a torque wrench. (e.g. ZB8801 from Beckhoff)
Connector diameter | Tightening torque
M8 | 0.4 Nm
M12 | 0.6 Nm


IO-Link connection

Mounting and connection [image] IO-Link connection
IO-Link connection
Additional information
•
IO-Link master connection
•
Connection IO-Link Device
•
IO-Link status LED


IO-Link master connection

Mounting and connection [image] IO-Link connection [image] IO-Link master connection
IO-Link master connection
IO-Link interface
The IO-Link specification defines various IO-Link pin assignment, which are described in the following section.
The switching and communication line is marked with (C/Q).
Port Class A (type A): The function of pin 2 and pin 5 is not preset. The vendor can assign an additional digital channel to pin 2. Port Class B (type B): Pin 2 and Pin 5 are used for an additional power supply. The information regarding the pin assignment of your module can be found in the chapter "Introduction".
Class A Schnittstelle_Pin 2 nicht belegt
Pin assignment Port Class A, Pin 2 not connected
In the case of Class A modules an additional digital input or output (I/Q) can be connected to Pin 2.
Anschlussbelegung Port Class A IO-Link
Pin assignment Port Class A, Pin 2 connected
Port Class B (type B): For devices with higher current demand, an additional power supply is provided via pin 2 and pin 5.
Anschlussbelegung Port Class B IO-Link
Pin assignment Port Class B
The IO-Link master (EP622x-xxxx) has an A-coded M12 socket for the outgoing IO-Link connection.
IO-Link connection, master
Wire colors
The wire colors of the IO-Link cable with corresponding pin assignment of the IO-Link connector:
Pin | Wire color
1 | brown
2 | white
3 | blue
4 | black
5 | grey
IO-Link cable
Example IO-Link cable: male to female
The cables available from Beckhoff for the IO-Link system can be found under the following link under "Accessories": https://beckhoff.de/english/fieldbus_components_accessories/m12_sensor_5w.htm?id=51657421126830456
IO-Link cable
A 3-core IO-Link cable may be sufficient for Class A masters/devices from Beckhoff. A Class B master/device requires a 5-wire IO-Link cable.


Connection IO-Link Device

Mounting and connection [image] IO-Link connection [image] Connection IO-Link Device
Connection IO-Link Device
The IO-Link box (EPIxxxx,ERIxxxx) has an A-coded M12 connector for the incoming IO-Link connection.
IO-Link connection, Device (narrow housing)
IO-Link connection, Device (wide housing)


IO-Link status LED

Mounting and connection [image] IO-Link connection [image] IO-Link status LED
IO-Link status LED
IO-Link Device status LED (narrow housing)
IO-Link Device status LED (wide housing)
LED display
LED | Display | Meaning
IO-Link status LED (X1) | off | IO-Link communication inactive
 | flashes green (1Hz) | IO-Link communication active
 | red illuminated | Short circuit on C/Q line or overheating


Status LEDs for power supply

Mounting and connection [image] Status LEDs for power supply
Status LEDs for power supply
The IO-Link module contains 2 diagnostic LEDs for the power supply and a Diagnostic object (0x0A00) for more accurate diagnosis. The description of the diagnostic parameters (Index 0x0A00) is described in the section Object description and parameterization.
Status LEDs for power supply
LED display
LED | Display | Meaning
24 V | off | Voltage L+ non-existent
 | green | voltage L+ ok
 | red | Voltage L+ too low
right LED | green | Voltage 2L+ ok , digital outputs OK
 | off | Voltage 2L+ too low, overvoltage detected at one of the digital outputs, short-circuit


Signal connection

Mounting and connection [image] Signal connection
Signal connection
Additional information
•
Digital outputs M8 and M12
•
Digital in-/outputs M8 and M12


Digital outputs M8 and M12

Mounting and connection [image] Signal connection [image] Digital outputs M8 and M12
Digital outputs M8 and M12
The digital output modules connect the binary control signals from the automation unit on to the actuators at the process level.
The signals are connected via screw-in M8 connectors (EPI2xxx-00x1, ERI2xxx-00x1) or screw-in M12 connectors (EPI2xxx-00x2, ERI2xxx-00x2).
Digitale Ausgänge M8 und M12_EPI1xxx
Digital outputs, M8 and M12
The outputs are short-circuit safe and protected against inverse connection.
The outputs indicate their status through light emitting diodes.


Digital in-/outputs M8 and M12

Mounting and connection [image] Signal connection [image] Digital in-/outputs M8 and M12
Digital in-/outputs M8 and M12
Each of the channels of the EPI23xx-xxxx, ERI23xx-xxxx can optionally be operated as an input or as an output.
The digital inputs acquire the binary control signals from the process level and transmit them to the higher-level automation unit. The digital outputs connect the binary control signals from the automation unit on to the actuators at the process level.
The signals are connected via screw-in M8 connectors (EPI2xxx-00x1, ERI2xxx-00x1) or screw-in M12 connectors (EPI2xxx-00x2, ERI2xxx-00x2). The inputs/outputs indicate their status through light emitting diodes.
Digitale Ein_Ausgänge M8 und M12_EPI1xxx
Digital in-/outputs, M8 and M12
The outputs are short-circuit safe and protected against inverse connection.


UL Requirements

Mounting and connection [image] UL Requirements
UL Requirements
The installation of UL-certified IP67 Box modules must meet the following requirements.
Supply voltage
SmallWarningYellow CAUTION
CAUTION!
•
from an isolated source protected by a fuse of max. 4 A (according to UL248) or
•
from a voltage supply complying with NEC class 2.
An NEC class 2 voltage source must not be connected in series or parallel with another NEC class 2 voltage source!
SmallWarningYellow CAUTION
CAUTION!
In order to comply with UL requirements, the IP67 Box modules must not be connected to unlimited voltage sources!
Networks
SmallWarningYellow CAUTION
CAUTION!
In order to comply with UL requirements, the IP67 Box modules must not be connected to telecommunications networks!
Ambient temperature
SmallWarningYellow CAUTION
CAUTION!
In order to comply with UL requirements, the IP67 Box modules must only be operated in an ambient temperature range between 0 and 55 °C!
Marking for UL
All UL (Underwriters Laboratories) certified IP67 Box modules have the following markings.
UL marking


Cabling

Mounting and connection [image] Cabling
Cabling
A list of EtherCAT cables, power cables, sensor cables, IO-Link cables, Ethernet/EtherCAT connectors and field-configurable connectors can be found under the following link: https://beckhoff.de/english/ethercat-box/ethercat_box_cables.htm?id=690338951657421
IO-Link cable
The IO-Link master is connected to the IO-Link device by an unshielded 3, 4 or 5-core (type A) or 5-core (type B) cable with a maximum length of 20 m. The IO-Link cables are available as straight and angled versions. Further information about the IO-Link connection can be found under: IO-Link master connection
Example IO-Link cable: male to female
Sensor cable
Sensorkabel - Beckhoff.png
Selection of sensor cables available from Beckhoff


Commissioning/configuration of IO-Link master/device

Commissioning/configuration of IO-Link master/device
Commissioning/configuration of IO-Link master/device
Additional information
•
IO-Link master
•
Accessing IO-Link parameters
•
IO-Link device


IO-Link master

Commissioning/configuration of IO-Link master/device [image] IO-Link master
IO-Link master
Additional information
•
Offline configuration settings - TwinCAT (master)
•
Online configuration settings - TwinCAT (master)
•
Configuration via TwinCAT - explanation tabs
•
Restoring the delivery state of an EtherCAT device


Offline configuration settings - TwinCAT (master)

Commissioning/configuration of IO-Link master/device [image] IO-Link master [image] Offline configuration settings - TwinCAT (master)
Offline configuration settings - TwinCAT (master)
In this part of the documentation is the manual configuration of the IO-Link master in TwinCAT described.
Distinction between Online and Offline
The distinction between online and offline refers to the presence of the actual I/O environment (drives, terminals, box-modules).
▪
Offline
If the configuration is to be prepared in advance of the system configuration as a programming system, e.g. on a laptop, this is only possible in “Offline configuration” mode. In this case all components have to be entered manually in the configuration, e.g. based on the electrical design (as described under 1. Importing the device description IODD).
▪
Online
If the designed control system is already connected to the EtherCAT system and all components are energized and the infrastructure is ready for operation, the TwinCAT configuration can simply be generated through “scanning” from the runtime system. This is referred to as online configuration. In any case, during each startup the EtherCAT master/ IO-Link master checks whether the devices it finds match the configuration. This test can be parameterized in the extended device settings.
To take advantage of the current features/settings of the master, the latest version of the ESI file should always be downloaded. Therefore it is necessary to consider the following note first.
Installation of the latest ESI-XML device description
The TwinCAT System Manager needs the device description files for the devices to be used in order to generate the configuration in online or offline mode. The device description is contained in the so-called ESI files (EtherCAT Slave Information) in XML format. These files can be requested from the respective manufacturer and are made available for download. The ESI files for Beckhoff EtherCAT devices are available on the Beckhoff website. The ESI files should be saved in the TwinCAT installation directory (default: C:\TwinCAT\IO\EtherCAT). The files are read (once) when a new System Manager window is opened. A TwinCAT installation includes the set of Beckhoff ESI files that was current at the time when the TwinCAT build was created. For TwinCAT 2.11 and higher, the ESI directory can be uploaded from the System Manager, if the programming PC is connected to the internet (TwinCAT → EtherCAT-Devices → Update Device Description…) see following figure.
Update EtherCAT Device Description 1439726603
Update Device Descriptions
Appending a module manually
▪
The EtherCAT system must be in a safe, de-energized state before the EtherCAT modules are connected to the EtherCAT network!
▪
Switch on the operating voltage, open the TwinCAT System Manager (Config mode)
▪
Append a new I/O device. In the dialog that appears select the device EtherCAT (Direct Mode), and confirm with OK.
Anfügen eines neuen E_A-Gerätes
Appending a new I/O device (I/O Devices -> right-click -> Append Device...)
Auswahl des Gerätes (EtherCAT)
Selecting the device EtherCAT
▪
Append a new box.
Anfügen einer neuen Box
Appending a new box (Device -> right-click -> Append Box...)
▪
In the dialog that appears select the desired box (e.g. EP6224-2022), and confirm with OK.
Auswahl einer Box
Selecting a Box (e.g. EP6224-2022)
Angefügte Box im TwinCAT-Baum
Appended Box in the TwinCAT tree
In this section is described, how to configure the IO-Link master in TwinCAT and the integration of IO-Link devices.
Configuration of the IO-Link master
Configuration of the IO-Link master requires a plug-in, which is usually supplied with the TwinCAT installation. When the IO-Link master is added to the TwinCAT System Manager (see section Offline / Online configuration settings - TwinCAT (master)) an additional tab called IO-Link is created (see following figure). If the tab is not displayed, the associated System Manager extension is missing. You can install it separately. Please contact support.
"IO-Link" tab


Online configuration settings - TwinCAT (master)

Commissioning/configuration of IO-Link master/device [image] IO-Link master [image] Online configuration settings - TwinCAT (master)
Online configuration settings - TwinCAT (master)
In this part of the documentation is the configuration of a physically existing IO-Link master in TwinCAT described.
Online configuration “Scan” (TwinCAT 3.x)
Distinction between Online and Offline
The distinction between online and offline refers to the presence of the actual I/O environment (drives, terminals, box-modules).
▪
Offline
If the configuration is to be prepared in advance of the system configuration as a programming system, e.g. on a laptop, this is only possible in “Offline configuration” mode. In this case all components have to be entered manually in the configuration, e.g. based on the electrical design (as described under 1. Importing the device description IODD).
▪
Online
If the designed control system is already connected to the EtherCAT system and all components are energized and the infrastructure is ready for operation, the TwinCAT configuration can simply be generated through “scanning” from the runtime system. This is referred to as online configuration. In any case, during each startup the EtherCAT master/ IO-Link master checks whether the devices it finds match the configuration. This test can be parameterized in the extended device settings.
To take advantage of the current features/settings of the master, the latest version of the ESI file should always be downloaded. Therefore it is necessary to consider the following note first.
Installation of the latest ESI-XML device description
The TwinCAT System Manager needs the device description files for the devices to be used in order to generate the configuration in online or offline mode. The device description is contained in the so-called ESI files (EtherCAT Slave Information) in XML format. These files can be requested from the respective manufacturer and are made available for download. The ESI files for Beckhoff EtherCAT devices are available on the Beckhoff website. The ESI files should be saved in the TwinCAT installation directory (default: C:\TwinCAT\IO\EtherCAT). The files are read (once) when a new System Manager window is opened. A TwinCAT installation includes the set of Beckhoff ESI files that was current at the time when the TwinCAT build was created. For TwinCAT 2.11 and higher, the ESI directory can be uploaded from the System Manager, if the programming PC is connected to the internet (TwinCAT → EtherCAT-Devices → Update Device Description…) see following figure.
Update EtherCAT Device Description 1439726603
Update Device Descriptions
The following conditions must be met before a configuration can be set up:
▪
the real EtherCAT and IO-Link hardware (devices, couplers, drives) must be present and installed
▪
the master/devices must be connected via EtherCAT cables and IO-Link cables in the same way as they are intended to be used later
▪
the devices/modules be connected to the power supply and ready for communication
▪
TwinCAT must be in CONFIG mode on the target system.
The online scan process consists of:
▪
detecting the EtherCAT device (Ethernet Port at the IPC)
▪
detecting the connected EtherCAT devices. This step can be carried out independent of the preceding step.
▪
troubleshooting
The scan with existing configuration can also be carried out for comparison.
Detecting/scanning of the EtherCAT device
The online device search can be used if the TwinCAT system is in CONFIG mode (blue TwinCAT icon or blue indication in the System Manager).
TwinCAT CONFIG mode display
Online scanning in Config mode
The online search is not available in RUN mode (production operation).
Note the differentiation between TwinCAT programming system and TwinCAT target system. The TwinCAT icon next to the Windows clock always shows the TwinCAT mode of the local IPC. The System Manager window shows the TwinCAT state of the target system.
TwinCAT target und local System
Right-clicking on “I/O Devices” in the configuration tree opens the search dialog.
Scan Devices
This scan mode not only tries to find EtherCAT devices (or Ethernet ports that can be used as such), but also NOVRAM, fieldbus cards, SMB etc. Not all devices can be found automatically.
Hinweis automatischer Gerätescan
note for automatic device scan
Ethernet ports with installed TwinCAT real-time driver are shown as “RT Ethernet” devices. An EtherCAT frame is sent to these ports for testing purposes. If the scan agent detects from the response that an EtherCAT slave is connected, the port is shown immediately as an “EtherCAT Device”.
detected Ethernet devices
After confirmation with “OK” a device scan is suggested for all selected devices, see following figure.
Detecting/Scanning the EtherCAT devices
Online scan functionality
During a scan the master queries the identity information of the EtherCAT slaves from the slave EEPROM. The name and revision are used for determining the type. The respective devices are located in the stored ESI data and integrated in the configuration tree in the default state defined there.
If an EtherCAT device was created in the configuration (manually or through a scan), the I/O field can be scanned for devices/slaves.
Scan for Boxes
scan query after automatic creation of an EtherCAT device
The configuration has been build and directly shifted into the online state (OPERATIONAL). The EtherCAT system should then be in a functional cyclic state, as shown in the following figure.
online display example
Please note:
▪
all slaves should be in OP state
▪
the EtherCAT master should be in “Actual State” OP
▪
“frames/sec” should match the cycle time taking into account the sent number of frames
▪
no excessive “LostFrames” or CRC errors should occur
The configuration is now complete. It can be modified as described under the offline procedure.
The connected IO-Link master (EP6224-2022) is displayed in the TwinCAT structure as you can see in the figure below.
Master-Anzeige_Nach Scan for Boxes
Master display after scan for boxes
Troubleshooting
Various effects may occur during scanning.
▪
An unknown device is detected, i.e. an EtherCAT slave for which no ESI XML description is available. In this case the System Manager offers to read any ESI that maybe stored in the device.
▪
Devices are not detected properly
Possible reasons include:
–
faulty data links, resulting in data loss during the scan
–
slave has invalid device description
The connections and devices should be checked in a targeted manner, e.g. via the emergency scan.
Then re-run the scan.
Scan over existing configuration
If a scan is initiated for an existing configuration, the actual I/O environment may match the configuration exactly or it may differ. This enables the configuration to be compared.
Configuration is identical
identical configuration
If differences are detected, they are shown in the correction dialog, so that the user can modify the configuration as required.
correction dialog
It is advisable to tick the “Extended Information” check box to reveal differences in the revision.
Colour | Explanation
green | This EtherCAT slave matches the entry on the other side. Both type and revision match.
blue | This EtherCAT slave is present on the other side, but in a different revision. If the found revision is higher than the configured revision, the slave maybe used provided compatibility issues are taken into account. If the found revision is lower than the configured revision, it is likely that the slave cannot be used. The found device may not support all functions that the master expects based on the higher revision number.
light blue | This EtherCAT slave is ignored („Ignore“ button).
red | This EtherCAT slave is not present on the other side.
Device selection based on revision, compatibility
The ESI description also defines the process image, the communication type between master and slave/device and the device functions, if applicable. The physical device (firmware, if available) has to support the communication queries/settings of the master. This is backward compatible, i.e. newer devices (higher revision) should be supported if the EtherCAT master addresses them as an older revision. The following compatibility rule of thumb is to be assumed for Beckhoff EtherCAT Terminals/Boxes:
device revision in the system >= device revision in the configuration
This also enables subsequent replacement of devices without changing the configuration (different specifications are possible for drives). Example: If an EL2521-0025-1018 is specified in the configuration, an EL2521-0025-1019 or higher (-1020, -1021) can be used in practice.
If current ESI descriptions are available in the TwinCAT system, the last revision offered in the selection dialog matches the Beckhoff state of production. It is recommended to use the last device revision when creating a new configuration, if current Beckhoff devices are used in the real application. Older revisions should only be used if older devices from stock are to be used in the application.
correction dialog with modifications
Once all modifications have been saved or accepted, click “OK” to transfer them to the real *.tsm configuration.


Configuration via TwinCAT - explanation tabs

Commissioning/configuration of IO-Link master/device [image] IO-Link master [image] Configuration via TwinCAT - explanation tabs
Configuration via TwinCAT - explanation tabs
In the left-hand window of the TwinCAT System Manager, click on the IO-Link Box branch you wish to configure.
Branch of the IO-Link Box to be configured
In the right-hand window of the TwinCAT System Manager various tabs for configuring the IO-Link Box are now available.
General tab
General tab
Name | Name of the IO-Link master
Id | Number of the IO-Link master
Type | IO-Link master type
Comment | Here you can add a comment (e.g. regarding the system).
Disabled | Here you can deactivate the IO-Link master.
Create symbols | Access to this IO-Link master via ADS is only available if this control box is activated.
EtherCAT tab
EtherCAT tab
Type | IO-Link master device type
Product/Revision | Product and revision number of the IO-Link master
Auto Inc Addr. | Auto increment address of the IO-Link master. The auto increment address can be used for addressing each EtherCAT device or each IO-Link master in the communication ring through its physical position. Auto increment addressing is used during the start-up phase when the IO-Link master allocates addresses to the EtherCAT devices or IO-Link masters. With auto increment addressing the first EtherCAT device in the ring has the address 0000hex. For each further slave the address is decremented by 1 (FFFFhex, FFFEhex etc.).
EtherCAT Addr. | Fixed address of an EtherCAT device/IO-Link master. This address is allocated by the EtherCAT device/IO-Link master during the start-up phase. Tick the control box to the left of the input field in order to modify the default value.
Previous Port | Name and port of the EtherCAT device/IO-Link master to which this device is connected. If it is possible to connect this device with another one without changing the order of the EtherCAT devices/IO-Link masters in the communication ring, then this combination field is activated and the EtherCAT device or the IO-Link master to which this device is to be connected can be selected.
Advanced Settings | This button opens the dialogs for advanced settings.
The link at the bottom of the tab points to the product page for this IO-Link master on the web.
Process Data tab
Indicates the configuration of the process data. The input and output data of the IO-Link master are represented as CANopen process data objects (PDO). The user can select a PDO via PDO assignment and modify the content of the individual PDO via this dialog, if the IO-Link master supports this function.
Process Data tab
Sync Manager
Lists the configuration of the Sync Manager (SM).
If the IO-Link master has a mailbox, SM0 is used for the mailbox output (MbxOut) and SM1 for the mailbox input (MbxIn).
SM2 is used for the output process data (outputs) and SM3 (inputs) for the input process data.
If an input is selected, the corresponding PDO assignment is displayed in the PDO Assignment list below.
PDO Assignment
PDO assignment of the selected Sync Manager. All PDOs defined for this Sync Manager type are listed here:
▪
If the output Sync Manager (outputs) is selected in the Sync Manager list, all RxPDOs are displayed.
▪
If the input Sync Manager (inputs) is selected in the Sync Manager list, all TxPDOs are displayed.
The selected entries are the PDOs involved in the process data transfer. In the tree diagram of the System Manager these PDOs are displayed as variables of the IO-Link master. The name of the variable is identical to the Name parameter of the PDO, as displayed in the PDO list. If an entry in the PDO assignment list is deactivated (not selected and greyed out), this indicates that the input is excluded from the PDO assignment. In order to be able to select a greyed out PDO, the currently selected PDO has to be deselected first.
Activation of PDO assignment
•
the IO-Link master has to run through the PS status transition cycle (from pre-operational to safe-operational) once (see Online tab),
•
and the System Manager has to reload the IO-Link master ( [image] button)
PDO list
List of all PDOs supported by this IO-Link master. The content of the selected PDOs is displayed in the PDO Content list. The PDO configuration can be modified by double-clicking on an entry.
Column | Description
Index | PDO index.
Size | Size of the PDO in bytes.
Name | Name of the PDO. If this PDO is assigned to a Sync Manager, it appears as a variable of the slave with this parameter as the name.
Flags | F | Fixed content: The content of this PDO is fixed and cannot be changed by the System Manager.
 | M | Mandatory PDO. This PDO is mandatory and must therefore be assigned to a Sync Manager! Consequently, this PDO cannot be deleted from the PDO Assignment list
SM | Sync Manager to which this PDO is assigned. If this entry is empty, this PDO does not take part in the process data traffic.
SU | Sync unit to which this PDO is assigned.
PDO Content
Indicates the content of the PDO. If flag F (fixed content) of the PDO is not set the content can be modified.
Download
If the device is intelligent and has a mailbox, the configuration of the PDO and the PDO assignments can be downloaded to the device. This is an optional feature that is not supported by all IO-Link masters.
PDO Assignment
If this check box is selected, the PDO assignment that is configured in the PDO Assignment list is downloaded to the device on startup. The required commands to be sent to the device can be viewed in the Startup tab.
PDO Configuration
If this check box is selected, the configuration of the respective PDOs (as shown in the PDO list and the PDO Content display) is downloaded to the IO-Link master.
Startup tab
The Startup tab is displayed if the IO-Link master has a mailbox and supports the CANopen over EtherCAT (CoE) or Servo drive over EtherCAT protocol. This tab indicates which download requests are sent to the mailbox during startup. It is also possible to add new mailbox requests to the list display. The download requests are sent to the master in the same order as they are shown in the list.
Startup tab
Column
Description
Transition
Transition to which the request is sent. This can either be
▪
the transition from pre-operational to safe-operational (PS), or
▪
the transition from safe-operational to operational (SO).
If the transition is enclosed in "<>" (e.g. <PS>), the mailbox request is fixed and cannot be modified or deleted by the user.
Protocol
Type of mailbox protocol
Index
Index of the object
Data
Date on which this object is to be downloaded.
Comment
Description of the request to be sent to the mailbox
Move Up | This button moves the selected request up by one position in the list.
Move Down | This button moves the selected request down by one position in the list.
New | This button adds a new mailbox download request to be sent during startup.
Delete | This button deletes the selected entry.
Edit | This button edits an existing request.
CoE - Online tab
The additional CoE - Online tab is displayed if the IO-Link master supports the CANopen over EtherCAT (CoE) protocol. This dialog lists the content of the object list of the slave (SDO upload) and enables the user to modify the content of an object from this list. Details for the objects of the individual IO-Link devices can be found in the device-specific object descriptions.
CoE - Online tab
Object list display
Column | Description
Index | Index and sub-index of the object
Name | Name of the object
Flags | RW | The object can be read, and data can be written to the object (read/write)
 | RO | The object can be read, but no data can be written to the object (read only)
 | P | An additional P identifies the object as a process data object.
Value | Value of the object
Update List | The Update list button updates all objects in the displayed list
Auto Update | If this check box is selected, the content of the objects is updated automatically.
Advanced | The Advanced button opens the Advanced Settings dialog. Here you can specify which objects are displayed in the list.
Advanced Settings
Online - via SDO Information | If this option button is selected, the list of the objects included in the object list of the device is uploaded from the master via SDO information. The list below can be used to specify which object types are to be uploaded.
Offline - via EDS File | If this option button is selected, the list of the objects included in the object list is read from an EDS file provided by the user.
Diag History tab
Logged diagnosis messages from the controller protocol can be read out on the "Diag History" tab. The diagnosis buffer operates as a ring buffer with a current maximum size of 1000 entries.
DiagHistory tab
Any events that occur are categorized according to type (information, warning, error), flag (N = unconfirmed, Q = confirmed), time stamp and message (port number & event code).
The meaning of the individual messages can be taken from the vendor documentation. The IO-Link device can be directly allocated on the basis of the port number. The events occurring can be managed using the various buttons.
▪
Update History: if the "Auto Update" field is not selected, then the current events can be displayed via the "Update History" button
▪
Auto Update: if this field is selected, then the list of events occurring is automatically updated
▪
Only new Messages: if this field is selected, then only those messages that have not yet been confirmed are displayed
▪
Ack. Messages: an event is reported via the Device Diag bit (Index 0xF101:10). Confirming the message will reset the bit to 0.
▪
Export Diag History: the events that have occurred can be exported as a "txt" file and thus archived.
▪
Advanced: This field has no function for the IO-Link master terminals/boxes.
Online tab
Online tab
State Machine
Init | This button attempts to set the IO-Link master to the Init state.
Pre-Op | This button attempts to set the IO-Link master to the pre-operational state.
Op | This button attempts to set the IO-Link master to the operational state.
Bootstrap | This button attempts to set the IO-Link master to the Bootstrap state.
Safe-Op | This button attempts to set the IO-Link master to the safe-operational state.
Clear Error | This button attempts to delete the fault display. If an IO-Link master fails during change of state it sets an error flag. Example: An IO-Link master is in PREOP state (pre-operational). The master now requests the SAFEOP state (safe-operational). If the master fails during change of state it sets the error flag. The current state is now displayed as ERR PREOP. When the Clear Error button is pressed the error flag is cleared, and the current state is displayed as PREOP again.
Current State | Indicates the current state of the IO-Link master.
Requested State | Indicates the state requested for the IO-Link master.


Restoring the delivery state of an EtherCAT device

Commissioning/configuration of IO-Link master/device [image] IO-Link master [image] Restoring the delivery state of an EtherCAT device
Restoring the delivery state of an EtherCAT device
To restore the delivery state for backup objects of the EP6224-xxxx (IO-Link Master), the CoE object “Restore default parameters”, “Subindex 001” can be selected in the TwinCAT System Manager (Config mode) (see following figure).
Selecting the Restore default parameters PDO
Double-click on “SubIndex 001” to enter the “Set Value dialog” (see following figure). Enter the value 1684107116 in field “Dec” or the value 0x64616F6C in field “Hex” and confirm with OK.
All backup objects are reset to the delivery state.
Entering a restore value in the Set Value Dialog


Accessing IO-Link parameters

Commissioning/configuration of IO-Link master/device [image] Accessing IO-Link parameters
Accessing IO-Link parameters
The exchange of the acyclic data takes place via a specified index and subindex range that is device-specific and can be read about in the corresponding vendor documentation.
Parameter data exchange
An intelligent IO-Link sensor/actuator (in the previous figure marked "Sensor (IO-Link Device)") can support parameterization by SPDU (Service Protocol Data Units). The PLC must explicitly query or, when marked as such, send these acyclic service data.
SPDU access
TwinCAT supports access via ADS and via the EP6224-xxxxxx CoE directory.
The respective parameter is addressed via the so-called SPDU index. The following ranges are available:
Name | Index range
System | 0x00..0x0F
Identification | 0x10..0x1F
Diagnostic | 0x20..0x2F
Communication | 0x30..0x3F
Preferred Index | 0x40..0xFE
Extended Index | 0x0100..0x3FFF
 | the range 0x4000..0xFFFF is reserved
The use of the implementation of these ranges is the responsibility of the sensor/actuator vendor. In the interest of clarity, only a few possible indices with names are listed here. Please refer to the corresponding chapter "Object description and parameterization".
Index | Name
0010 | Vendor Name
0011 | Vendor Text
0012 | Product Name
0013 | Product ID
0015 | Serial Number
0016 | Hardware Revision
0017 | Firmware Revision
... | ...
ADS
Communication relating to IO-Link demand data is initiated via an ADS command. An ADS address always consists of a NetID and PortNo. TwinCAT forwards an ADS command to the EP6224 Box module via AoE (ADS over EtherCAT). From where the command is relayed to the IO-Link master section and therefore to the data channel.
AoE-NetID
The EP6224 is assigned a dedicated AoE-NetID for communication with the IO-Link master section. This is assigned by the configuration tool (see the figure below).
AoE-NetID allocation
PortNo
The individual IO-Link ports for the master are allocated via the port number. The port numbers are allocated in ascending order from 0x1000. I.e. IO-Link Port1 === PortNo 0x1000 and IO-Link Portn === PortNo 0x1000 + n-1.
The following specification applies for the EP6224 (4-port IO-Link master):
IO-Link Port1 === PortNo 0x1000
IO-Link Port2 === PortNo 0x1001
IO-Link Port3 === PortNo 0x1002
IO-Link Port4 === PortNo 0x1003
ADS Indexgroup
As for CoE, the Indexgroup of an ADS command is specified as 0xF302 for the IO link data channel.
ADS Indexoffset
The IO link addressing with index and subindex is coded in the Indexoffset. The Indexoffset has a size of 4 bytes and is subdivided as follows: 2-byte index, 1-byte reserve, 1-byte subindex.
▪
Example: Indexoffset 0x12340056 corresponds to index 0x1234 and subindex 56
Example with ADS monitor
Reading of the Application-Specific Name, index 0x0018 subindex 0x00 (see figure below).
Auslesen des Application Specific Name
Reading of the Application-Specific Name
Example showing the principle in the code
Reading of Application-Specific Name, index 0x0018 subindex 0x00 at IO-Link Port2.
AmsAddr adsAdr;
adsAdr.netId.b[0] = 0x0A; //AoE-NetID of EP6224
adsAdr.netId.b[1] = 0x03; //AoE-NetID of EP6224
adsAdr.netId.b[2] = 0x02; //AoE-NetID of EP6224
adsAdr.netId.b[3] = 0x16; //AoE-NetID of EP6224
adsAdr.netId.b[4] = 0x02; //AoE-NetID of EP6224
adsAdr.netId.b[5] = 0x03; //AoE-NetID of EP6224
adsAdr.port = 0x1001; //IO-Link Port2
errCode = AdsSyncReadReq(&adsAdr, 0xF302, 0x00180000, 100, &pReadBuffer);


IO-Link device

Commissioning/configuration of IO-Link master/device [image] IO-Link device
IO-Link device
Additional information
•
Configuration of the IO-Link devices
•
EPI2xxx, ERI2xxx - Process data
•
Settings of the IO-Link devices
•
EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters
•
EPI2xxx, ERI2xxx - Set up the parameters of the IO-Link device
•
EPI23xx-xxxx, ERI23xx-xxxx - Input debouncing and input signal extension
•
Object Overview - EPI2338-0001
•
EPI2008-000x, ERI2008-000x - Object description and parameterization
•
EPI2809-002x, ERI2809-002x - Object description and parameterization
•
EPI2338-000x, ERI2338-000x - Object description and parameterization
•
EPI2339-002x, ERI2339-002x - Object description and parameterization
•
Firmware update of the IO-Link device


Configuration of the IO-Link devices

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] Configuration of the IO-Link devices
Configuration of the IO-Link devices
IO-Link extension
The IO-Link extension for the EP6224-xxxxxx can be used from TwinCAT version 2.10, build 1325 and is required up to version 2.10, build 1330. If your System Manager version or TwinCAT3 does not yet provide this support, it can be installed later if necessary. Please contact our Support.
Integrating IO-Link devices
The catalog supports the IO-Link device description (IODD). The IODDs for the EPIxxxx, ERIxxxx IO-Link Box modules from Beckhoff can be downloaded via the following link: Download IODD. The downloaded zip file contains the IODD device description files for the Beckhoff EPIxxxx, ERIxxxx IO-Link Box modules.
No manual copying of the XML files
Do not copy the files directly into the folder; read them in via Import Devicedescription instead! Important checks will otherwise be bypassed!
The integration of the IODD file should always be the first step, since this enables the breakdown of the individual process data of the IO-Link devices as well as the display of the parameters.
There are several ways of integrating an IO-Link device:
1.
Importing the IODD file (offline & online) via
–
button Import Devicedescription (A) or
–
button IODD Finder (B)
2.
Automatic scanning of the IO-Link ports (online) via
–
button Scan devices (C)
3.
Manual insertion (offline & online) via
–
menu Create Device (D)
Anlegen von IO-Link Devices_1
Creating IO-Link devices
If the IODD is not available, the IO-Link device should be integrated online by scanning. Manual integration of the IO-Link devices via Create Device should only be carried out if the IODD of the vendor and the IO-Link device are not available at the time of project creation.
If the IO-Link port is to be used as a simple digital input or output, the selection "Std-I/O" -> "dig in" or "dig out" can be made in the IO-Link Device Catalog. After restarting the EtherCAT system or reloading the configuration in Config mode (F4), the corresponding process data are created.
Configuration of Port 2 as digital input
Removal of the IO-Link devices
To remove a previously configured IO-Link device, right-click to open the context menu and select Delete. After restarting the EtherCAT system or reloading the configuration in Config mode (F4), the already created process data are removed.
Additional information
•
1. Importing the device description IODD
•
2. Automatic scanning of the IO-Link ports
•
3. Manual insertion via Create Device


1. Importing the device description IODD

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] Configuration of the IO-Link devices [image] 1. Importing the device description IODD
1. Importing the device description IODD
Importing the device description simplifies the integration of the IO-Link devices. The individual process data are broken down, enabling simple parameterization of the sensor. The IODD only needs to be imported during the initial commissioning of a new IO-Link device. The import is port-independent. Proceed as follows to import the IODD:
▪
Button "Import Devicedescription“
–
Press the Import Devicedescription button in the IO-Link tab
–
Select the .xml file of the desired sensor.
–
After pressing the Open button, the imported files are stored in the following folder:
- for TwinCAT 2.x: \TwinCAT\IO\IOLink
- for TwinCAT 3.x: \TwinCAT\3.X\Config\IO\IOLink.
–
The imported device descriptions are listed in a tree structure in the Catalog field, sorted by vendor.
No manual copying of the XML files
Do not copy the files directly into the folder; read them in via Import Devicedescription instead! Important checks will otherwise be bypassed!
▪
Button "IODD Finder“
–
Press the IODD Finder button in the IO-Link tab
–
Searching for the desired IO-Link sensor/device by entering them in the search mask; see the figure below (1)
–
Selecting the desired IO-Link sensor/device. Move the mouse pointer over the figure of the desired IO-Link sensor/device. A blue download icon appears, see the following figure (2).
IODD Finder, selection and import of the .xml file
–
After clicking the download symbol, the .xml file of the selected IO-Link sensor/device is imported and stored in the following folder:
- for TwinCAT 2.x: \TwinCAT\IO\IOLink
- for TwinCAT 3.x: \TwinCAT\3.X\Config\IO\IOLink
–
When moving the mouse pointer over the IO-Link sensor/device, a green icon now indicates (see the following figure (3)) that the .xml file already exists.
IODD Finder, display of an already imported device description
–
The imported device descriptions are listed in a tree structure in the Catalog field of the IO-Link tab, sorted by vendor.
▪
Online configuration: once the IO-Link device has been connected, it is automatically detected and created with the corresponding parameters by pressing the Scan devices button.
If several devices are stored in the IODD file, the first entry is always selected here. Grouping in the IODD is usually carried out by the vendor if the process data are the same and there are only mechanical differences (e.g. other material).
▪
Offline configuration: The Catalog field shows the IO-Link device catalog, which lists the already imported device descriptions in a tree structure, sorted by vendor. The IO-Link device can be selected via drag & drop or by right-clicking on the product with "Add to Port n".
▪
Restart the EtherCAT system or reload the configuration in Config mode (F4).
▪
The IO-Link devices are displayed, and the process data are created. If an error is found when integrating the IO-Link device, e.g. wrong VendorID or no device connected, then this is indicated via the status of the port (object state Ch.n 0xF100:0n).


2. Automatic scanning of the IO-Link ports

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] Configuration of the IO-Link devices [image] 2. Automatic scanning of the IO-Link ports
2. Automatic scanning of the IO-Link ports
This part of the documentation describes the configuration of the physically available IO-Link devices in TwinCAT.
During automatic scanning of the IO-Link ports, the steps WakeUp pulse, Baud rate setting, Reading of the communication parameters, plus Parameter server and Cyclic data exchange, if applicable, are performed, see Establishing the IO-Link communication. The corresponding IO-Link device must be connected to the IO-Link port for this.
The connected devices are automatically detected and configured and a search is performed for the associated IODD.
Finding connected IO-Link devices
The connected IO-Link devices can be found by clicking the Scan devices button (see the following figure (C)).
Anlegen von IO-Link Devices_1
Scan devices (C)
The information window lists the connected device for each of the four ports. Only port 2 of the master is assigned an IO-Link device. Confirm with the OK button.
Information Scan for Devices
Information Scan devices
To be able to work with the devices, the button Reload Devices (F4) must be clicked.
Button: Reload Devices
The IO-Link devices are now entered in the General display. The Port 2 Details field displays information about the connected device.
Device an Port2
Device at Port 2
Further details can be shown by right-clicking Port 2 in the Settings dialog (see also chapter Settings of the IO-Link devices).
Settings Device Port2
Device Port2 settings
After double-clicking Port 2 the Parameters tab is displayed. The parameters of the respective IO-Link device are listed here (see also chapter EPIxxxx, ERIxxxx - Setting the IO-Link device parameters).
Parameter IO-Link Device
Parameter IO-Link device


3. Manual insertion via Create Device

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] Configuration of the IO-Link devices [image] 3. Manual insertion via Create Device
3. Manual insertion via Create Device
This part of the documentation describes the manual configuration of the IO-Link devices in TwinCAT.
The manual insertion of the IO-Link device should only be carried out if the IODD from the vendor and the IO-Link device are not available.
The configuration can then be carried out manually. By saving the project, the settings for the individual ports are saved. The devices that were created are not stored in the Catalog (see the figure below (A)).
▪
To insert the IO-Link devices manually via Create Device, proceed as follows:
▪
If the corresponding IODD of the IO-Link device is already present, the corresponding device can be selected in the catalog (see the diagram below (A)), sorted by the vendor
▪
If no IODD is available, the device can be manually added. These data are not saved in the catalog and must be manually entered for each port.
▪
Right-click on the port to open the context menu (see the figure below (B)) and select Create Device.
▪
In the Create Device dialog an IO-Link device with the basic communication parameters can be created. The mandatory fields here are: For Vendor ID, Device ID and process data length see the figure below (D). The values VendorID and DeviceID can be entered both in hexadecimal notation (input format: 0xnnnn) and as decimal numbers (nnnn).
The communication parameters to be entered can be found in the information provided by the device vendor.
▪
If the IO-Link device version is 1.1, then the parameter server is activated by the selection of the field.
▪
Restart the EtherCAT system or reload the configuration in Config mode (F4)
Manual creation of an IO-Link device via the "Create Device" dialog (D)
Reading the IODD
Even when manually creating and scanning, the IODD should always be read in as well in order to display further sensor-specific information.
If the IO-Link device is created manually, some device settings can be implemented in the settings of the IO-Link devices (see Settings of the IO-Link devices)


EPI2xxx, ERI2xxx - Process data

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2xxx, ERI2xxx - Process data
EPI2xxx, ERI2xxx - Process data
The System Manager shows the EPI2xxx, ERI2xxx process data which are arranged in the tree structure under the associated Port (A) (in the following example EPI2338-0001 is connected to port 1).
Depending on the number of channels the EPI2xxx, ERI2xxx offer 8-bit or 16-bit output data for transmission.
The EPI23xx, ERI23xx Boxes offer 8-bit or 16-bit each input- and output data for transmission (see following illustration A and B).
The process data of the respective boxes can be found in the chapter product overview.
Default process data showing EPI2338-0001 as example
By right-clicking on the Status variable in the configuration tree (A, B), the structure can be opened for linking.
The offset position can be taken from the memory assignment display (F) on the basis of the point notation, also taking into account the variable size (E).
Control/status word
The EPI2xxx, ERI2xxx have no control - and status word


Settings of the IO-Link devices

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] Settings of the IO-Link devices
Settings of the IO-Link devices
To find the basic settings of the devices for each port, right-click the port and select Settings. A new tab Portx:: Settings opens.
Context menu - Settings
Settings of the IO-Link devices
1.
Information
This field is for information only; the IODD that was read in is displayed under Device Description. Furthermore, the VendorID, DeviceID and the IO-Link revision(V 1.0 or V 1.1) of the IO-Link devices are displayed. If the device is an IO-Link device V1.1, then the parameter server function is supported.

The following settings can be made in the settings for the IO-Link devices (see figure above):
2.
Start-up checks
This parameter can be used to specify that the Vendor ID and Device ID should be checked when the IO-Link device starts up. This avoids errors when exchanging IO-Link devices.
3.
CycleTime
Specifies the cycle time for the IO-Link master
4.
Communication mode
Selection of the mode in which the IO-Link port is to be operated.
–
Communication: Default mode for IO-Link devices
–
StdDigIn / StdDigOut: Mode for non-IO-Link devices, automatically selected if the port is configured as a digital input or output
5.
Error Reaction
–
If the Set Input Data to 0 field is activated
-> input data are set to 0 in case of error
-> Status display: Error
6.
Button "Advanced"
Advanced settings
7.
Data Storage
Pay attention to the sensor version
–
V1.0 -> data storage is not supported
–
V1.1 -> data are stored in the parameter server (preset)
8.
Process Data Format
Adaptation of the process data format
–
Field only Octet String selected
-> complex data types (process data) are created as octet strings
-> Advantage: simple further processing in the PLC


EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters
EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters
This chapter explains how to read out and set the IO-Link device parameters.
The number and type of the objects shown on the Parameters tab vary according to the type of sensor.
The default settings as stored in the IODD can initially be seen.
To open the Parameter tab
▪
click the IO-Link master (EP6224-xxxx) in the TwinCAT tree structure,
▪
click the IO-Link tab,
▪
select the port to which the IO-Link device is connected,
▪
open the Parameters tab by double-clicking or
▪
by right-clicking and selecting Parameters.
Opening the Parameters tab
Parameters IO-Link device
The device parameters are listed in the tab. The buttons Compare, Read, Write, Set Default, Export/Import and Store are located at the top of the tab.
The Read, Write and Store buttons are used to read out the parameters stored in the IO-Link device, load them and store them in the parameter server of the master.
Different user roles can be selected from the drop-down menu. The default user role is Specialist. The parameters are displayed in different representations and scopes.
Compare button
▪
By pressing the Compare button, the parameter data of the configuration are compared with the parameter sets in the sensor and in the parameter server.
Read button
▪
The default values from the IODD file are always preset
▪
The current parameter values are not read until the Read button is pressed
Write button
▪
The default values from the IODD file are always preset
▪
Enter the desired value under Value
▪
The values are accepted by pressing the Enter key
▪
Press the Write button to write data to the device (offline configuration is possible)
Set Default button
▪
Pressing the Set Default button sets all parameter values to the default settings.
Export / Import button
▪
The set parameter values can be exported as a .vbs file and restored later via Import.
▪
Pressing the Export / Import button (see the diagram below (1)) opens the Import / Export dialog
▪
Specify the path under which you want to export or import the vbs file, see Fig. (2) below and confirm with the Open button, see Fig. (4) below.
▪
In addition, the export options Attach Store Command and Enable Block Parametrization can be selected as shown in Fig. (3) below
–
Attach Store Command: The parameters are loaded into the parameter server after the script has written all values.
–
Enable Block Parametrization: Block parameterization is enabled. For some sensors, writing is only possible when block parameterization is enabled.
▪
Press the Export or Import button
Parameterization IO-Link device - Export / Import
Store button
▪
Click Store (data storage): The Beckhoff EP6224-xxxx IO-Link master (from firmware 10) stores the parameters (0x0018) Application-Specific Tag, (0x08n0) Settings and 0x3800 Range Settings. If the IO-Link device is exchanged for a similar module, the device can be restored.
Standard Command (Index 0x0002)
The IO-Link master writes various IO-Link-specific commands to the Standard Command during startup. Some of these commands are available in the TwinCAT interface (see figure below). In the parameter list of the All Objects user role, click Standard Command, then double-click Standard Command in the right-hand field. Select the desired value from the list of different options and use the Write button (as described above).
Device Reset: Restarts the IO-Link device.
Application Reset: No function.
Restore Factory Settings: Restoring the application parameters, i.e. the Settings parameter (0x0800).
Parameters IO-Link device Standard Command
Application Specific Tag (Index 0x0018)
Application-specific information can be entered and stored here. Click Application-Specific Tag in the parameter list, then double-click Application-Specific Tag in the right-hand field. Enter application-specific information and use the Write button and the Store button, if required (as described above).
Parameters IO-Link device: Application Specific Tag


EPI2xxx, ERI2xxx - Set up the parameters of the IO-Link device

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2xxx, ERI2xxx - Set up the parameters of the IO-Link device
EPI2xxx, ERI2xxx - Set up the parameters of the IO-Link device
Additional information
•
Input filter (Index 0x0800:01)
•
Signal Extension (Index 0x0800:02)
•
Diagnosis (Index 0x0A00)


Input filter (Index 0x0800:01)

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2xxx, ERI2xxx - Set up the parameters of the IO-Link device [image] Input filter (Index 0x0800:01)
Input filter (Index 0x0800:01)
The function of the Input filter is explained in the section EPI23xx-xxxx, ERI23xx-xxxx - Input debouncing and input signal extension. For parameterization of the input filter proceed as follows:
1.
Select Specialist in the tab Parameter.
2.
Open the Parameter list and double click on Input Filter.
3.
Select the desired value from the list of different options.
4.
Use the Write and as necessary the Store button (as described above).
Parameterization of input filter (Index 0x0800:01)


Signal Extension (Index 0x0800:02)

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2xxx, ERI2xxx - Set up the parameters of the IO-Link device [image] Signal Extension (Index 0x0800:02)
Signal Extension (Index 0x0800:02)
The function of the Signal Extension is explained in the section EPI23xx-xxxx, ERI23xx-xxxx - Input debouncing and input signal extension. For parameterization of the input filter proceed as follows:
1.
Select Specialist in the tab Parameter
2.
Open the Parameter list and double click on Signal Extension
3.
Select the desired value from the list of different options
4.
Use the Write and as necessary the Store button (as described above).
Parameterization of Signal Extension (Index 0x0800:02)


Diagnosis (Index 0x0A00)

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2xxx, ERI2xxx - Set up the parameters of the IO-Link device [image] Diagnosis (Index 0x0A00)
Diagnosis (Index 0x0A00)
The Diagnosis parameters vary between the different devices. The meaning of Diagnosis parameters (Index 0x0A00) can be read in the respective chapter Object description and parameterization.
(EPI2008-000x, ERI2008-000x / EPI2809-002x, ERI2809-002x / EPI2338-000x, ERI2338-000x / EPI2339-002x, ERI2339-002x)
As an example, the Diagnosis parameters of the EPI2339-0021 are presented in the figure below.
IO-Link Device Parameter: showing Diagnosis EPI2339-0021 as example


EPI23xx-xxxx, ERI23xx-xxxx - Input debouncing and input signal extension

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI23xx-xxxx, ERI23xx-xxxx - Input debouncing and input signal extension
EPI23xx-xxxx, ERI23xx-xxxx - Input debouncing and input signal extension
The digital IO-Link boxes EPI23xx and ERI23xx support a configurable input debouncing and a variable input signal extension for all digital inputs. This can be set via Device Parameter Object 0x0800. The set value applies for all digital inputs. How to set the parameters of the IO-Link Device will be explained in the section EPI2xxx, ERI2xxx - set up the parameters of IO-Link Device.
Input filter: variable adjustable over Device Parameter (Object 0x0800 Subindex 1).
Value | Filtertime [ms]
0 | 0
1 | 0.5
2 | 3
3 | 10
4 | 20
The value decides the delay with which the input value is transferred to the higher-level control. Impulses that are smaller than the filter time will be ignored. In the figure below function examples are presented with a filter time of 10 ms.
Signal Input Filter
Input signal extension time: variable adjustable over Device Parameter (Object 0x0800 Subindex 2).
Value | Input signal extension time [ms]
0 | 0
1 | 0.5
2 | 3
3 | 10
4 | 20
5 | 50
6 | 100
The parameter specifies the time for which an input impulse is extended with additional momentum change. Short change of the input impulse during the signal extension will be ignored.
Signal Extension
If the input debouncing and the input signal extension is active, the input impulse is always filtered first and then extend the result.


Object Overview - EPI2338-0001

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] Object Overview - EPI2338-0001
Object Overview - EPI2338-0001
IO-Link IODD Device Description
The display corresponds to the display of the IO-Link device parameters. It is advisable to download the latest IO-Link IODD device description files from the Download section of the Beckhoff website and install them according to the installation instructions.
The object overview of EPI2338-0001 is listed below as an example.
Subindex | Name | Flags | Default value
0x0000:00 | Direct Parameters 1
0x0000:01 | Reserved | RO | 0
0x0000:02 | Master Cycle Time | RO | 5
0x0000:03 | Min Cycle Time | RO | 5
0x0000:04 | M-Sequence Capability | RO | 1
0x0000:05 | IO-Link Version ID | RO | 17
0x0000:06 | Process Data Input Length | RO | 16
0x0000:07 | Process Data Output Length | RO | 16
0x0000:08 | Vendor ID 1 | RO | 0x0120
0x0000:09 | Vendor ID 2 | RO | 0x0120
0x0000:0A | Device ID 1 | RO | 0x233900
0x0000:0B | Device ID 2 | RO | 0x233900
0x0000:0C | Device ID 3 | RO | 0x233900
0x0000:0D | Reserved | RO | 255
0x0000:0E | Reserved | RO | 255
0x0000:0F | Reserved | RO | 255
0x0000:10 | System Command | RO | 255
Subindex | Name | Flags | Default value
0x0001:00 | Direct Parameters 2
0x0001:01 | Device Specific Parameter 1 | RW | 0
0x0001:02 | Device Specific Parameter 2 | RW | 0
0x0001:03 | Device Specific Parameter 3 | RW | 0
0x0001:04 | Device Specific Parameter 4 | RW | 0
0x0001:05 | Device Specific Parameter 5 | RW | 0
0x0001:06 | Device Specific Parameter 6 | RW | 0
0x0001:07 | Device Specific Parameter 7 | RW | 0
0x0001:08 | Device Specific Parameter 8 | RW | 0
0x0001:09 | Device Specific Parameter 9 | RW | 0
0x0001:0A | Device Specific Parameter 10 | RW | 0
0x0001:0B | Device Specific Parameter 11 | RW | 0
0x0001:0C | Device Specific Parameter 12 | RW | 0
0x0001:0D | Device Specific Parameter 13 | RW | 0
0x0001:0E | Device Specific Parameter 14 | RW | 0
0x0001:0F | Device Specific Parameter 15 | RW | 0
0x0001:10 | Device Specific Parameter 16 | RW | 0
Subindex | Name | Flags | Default value
0x0002 | Standard Command | RW | 0
Subindex | Name | Flags | Default value
0x000C:00 | Device Access Locks
0x000C:01 | Parameter (write) Access Lock | RW | 0
0x000C:02 | Data Storage Lock | RW | 0
0x000C:03 | Local Parameterization Lock | RW | 0
0x000C:04 | Local User Interface Lock | RW | 0
Subindex | Name | Flags | Default value
0x0010 | Vendor Name | RO | Beckhoff Automation GmbH & Co. KG
0x0011 | Vendor Text | RO | www.beckhoff.com
0x0012 | Product Name | RO | EPI2338-0001
0x0013 | Product ID | RO | EPI2338-0001
0x0014 | Product Text | RO | 8 DIO Module
0x0015 | Serial Number | RO | 00000000
0x0016 | Hardware Version | RO | 01
0x0017 | Firmware Version | RO | 01
0x0018 | Application Specific Tag | RW | ************************
Subindex | Name | Flags | Default value
0x0800:00 | Settings
0x0800:01 | Input Filter | RW | 3 ms
0x0800:02 | Signal Extension | RW | off
Subindex | Name | Flags | Default value
0x0A00:00 | Diagnose
0x0A00:01 | Overtemperature | RO | 0
0x0A00:02 | Short detected | RO | 0
0x0A00:03 | US low | RO | 0
0x0A00:04 | UP low | RO | 0
0x0A00:05 | UP stat | RO | 0
0x0A00:06 | Reserved | RO | 0
0x0A00:07 | Reserved | RO | 0
0x0A00:08 | Reserved | RO | 0
0x0A00:09 | Reserved | RO | 0
0x0A00:0A | Reserved | RO | 0
0x0A00:0B | Reserved | RO | 0
0x0A00:0C | Reserved | RO | 0
0x0A00:0D | Reserved | RO | 0
0x0A00:0E | Reserved | RO | 0
0x0A00:0F | Reserved | RO | 0
0x0A00:10 | Reserved | RO | 0
Key
Flags:
RO (Read Only) this object can be read only
RW (READ/Write) this object can be read and written


EPI2008-000x, ERI2008-000x - Object description and parameterization

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2008-000x, ERI2008-000x - Object description and parameterization
EPI2008-000x, ERI2008-000x - Object description and parameterization
IO-Link IODD Device Description
The display corresponds to the display of the IO-Link device parameters. It is advisable to download the latest IO-Link IODD device description files from the Download section of the Beckhoff website and install them according to the installation instructions.
Parameter server (data storage)
The IO-Link boxes support the data storage functionality according to protocol revision 1.1. The parameters 0x0018 (application-specific tag) and 0x08n0 (settings) are secured with the IO-Link master. In order to use this functionality, the IO-Link master must also support it. (e.g. with the Beckhoff EP6224-xxxx IO-Link master from firmware 10) Changes to these parameters are saved by the IO-Link master and restored when the box is replace with an identical IO-Link box. How to use the data storage functionality is explained in chapter EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters.
Index 0000 Direct Parameters 1
Index (hex) | Name | Meaning | Data type | Flags | Default
0000:01 | Reserved | - | UINT8 | RO | 0
0000:02 | Master Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:03 | Min Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:04 | M-Sequence Capability | IO-Link specific | UINT8 | RO | 1
0000:05 | IO-Link Version ID | IO-Link specific | UINT8 | RO | 17
0000:06 | Process Data Input Length | IO-Link specific | UINT8 | RO | 16
0000:07 | Process Data Output Length | IO-Link specific | UINT8 | RO | 16
0000:08 - 0000:09 | Vendor ID | manufacturer ID | UINT8 | RO | 0x0120
0000:0A - 0000:0C | Device ID | device ID | UINT8 | RO | 0x233900
0000:0D - 0000:0F | Reserved | - | UINT8 | RO | 255
0000:10 | System Command | IO-Link specific |  | RO | 255
Direct Parameter Page 2
Index (hex) | Name | Meaning | Data type | Flags | Default
0001:01 - 0001:10 | Device Specific Parameter | IO-Link specific | UINT8 | RW | 0
Index 0002 Standard Command
Index (hex) | Name | Meaning | Data type | Flags | Default
0002 | Standard Command | IO-Link specific | UINT8 | W | 0
Index 000C Device Access Locks
Index (hex) | Name | Meaning | Data type | Flags | Default
000C:01 | Parameter (write) Access Lock | unassisted | BOOL | RW | FALSE
000C:02 | Data Storage Lock | unassisted | BOOL | RW | FALSE
000C:03 | Local Parameterization Lock | unassisted | BOOL | RW | FALSE
000C:04 | Local User Interface Lock | unassisted | BOOL | RW | FALSE
Index 0010 Vendor Name
Index (hex) | Name | Meaning | Data type | Flags | Default
0010 | Vendor Name | manufracturer designation | String | R | Beckhoff Automation GmbH & Co. KG
Index 0011 Vendor Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0011 | Vendor Text | manufacturer specific text | String | R | www.beckhoff.com
Index 0012 Product Name a
Index (hex) | Name | Meaning | Data type | Flags | Default
0012 | Product Name | product designation | String | R | EPI2008-000x, ERI2008-000x
Index 0013 Product ID
Index (hex) | Name | Meaning | Data type | Flags | Default
0013 | Product ID | product designation | String | R | EPI2008-000x, ERI2008-000x
Index 0014 Product Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0014 | Product Text | product description | String | R | 8 DO Module
Index 0015 Serial Number
Index (hex) | Name | Meaning | Data type | Flags | Default
0015 | Serial Number | serial number (Individual serial number. Independent of the lasered serial number) | String | R | 00000000
Index 0016 Hardware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0016 | Hardware Version | Hardware revision | String | R | 01
Index 0017 Firmware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0017 | Firmware Version | Firmware version | String | R | 01
Index 0018 Application Specific Tag
Index (hex) | Name | Meaning | Data type | Flags | Default
0018 | Application Specific Tag | application specific description | String | RW | ********************** **********
Index 0A00 Diagnosis
Index (hex) | Name | Meaning | Data type | Flags | Default
0A00:01 | Overtemperature | overheating of the IO-Link modules | BOOL | RO | FALSE
0A00:02 | Short detected | short circuit on the IO-Link C/Q data line | BOOL | RO | FALSE
0A00:03 | US low | supply voltage too low (< 18V) | BOOL | RO | FALSE
0A00:04 | UP low | Additional power supply too low (<18V) | BOOL | RO | FALSE
0A00:05 | UP stat | Additional power supply non-existent (<8V) | BOOL | RO | FALSE
0A00:06 - 0A00:10 | Reserved | - | BOOL | RO | FALSE


EPI2809-002x, ERI2809-002x - Object description and parameterization

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2809-002x, ERI2809-002x - Object description and parameterization
EPI2809-002x, ERI2809-002x - Object description and parameterization
IO-Link IODD Device Description
The display corresponds to the display of the IO-Link device parameters. It is advisable to download the latest IO-Link IODD device description files from the Download section of the Beckhoff website and install them according to the installation instructions.
Parameter server (data storage)
The IO-Link boxes support the data storage functionality according to protocol revision 1.1. The parameters 0x0018 (application-specific tag) and 0x08n0 (settings) are secured with the IO-Link master. In order to use this functionality, the IO-Link master must also support it. (e.g. with the Beckhoff EP6224-xxxx IO-Link master from firmware 10) Changes to these parameters are saved by the IO-Link master and restored when the box is replace with an identical IO-Link box. How to use the data storage functionality is explained in chapter EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters.
Index 0000 Direct Parameters 1
Index (hex) | Name | Meaning | Data type | Flags | Default
0000:01 | Reserved | - | UINT8 | RO | 0
0000:02 | Master Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:03 | Min Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:04 | M-Sequence Capability | IO-Link specific | UINT8 | RO | 1
0000:05 | IO-Link Version ID | IO-Link specific | UINT8 | RO | 17
0000:06 | Process Data Input Length | IO-Link specific | UINT8 | RO | 16
0000:07 | Process Data Output Length | IO-Link specific | UINT8 | RO | 16
0000:08 - 0000:09 | Vendor ID | manufacturer ID | UINT8 | RO | 0x0120
0000:0A - 0000:0C | Device ID | device ID | UINT8 | RO | 0x233900
0000:0D - 0000:0F | Reserved | - | UINT8 | RO | 255
0000:10 | System Command | IO-Link specific |  | RO | 255
Direct Parameter Page 2
Index (hex) | Name | Meaning | Data type | Flags | Default
0001:01 - 0001:10 | Device Specific Parameter | IO-Link specific | UINT8 | RW | 0
Index 0002 Standard Command
Index (hex) | Name | Meaning | Data type | Flags | Default
0002 | Standard Command | IO-Link specific | UINT8 | W | 0
Index 000C Device Access Locks
Index (hex) | Name | Meaning | Data type | Flags | Default
000C:01 | Parameter (write) Access Lock | unassisted | BOOL | RW | FALSE
000C:02 | Data Storage Lock | unassisted | BOOL | RW | FALSE
000C:03 | Local Parameterization Lock | unassisted | BOOL | RW | FALSE
000C:04 | Local User Interface Lock | unassisted | BOOL | RW | FALSE
Index 0010 Vendor Name
Index (hex) | Name | Meaning | Data type | Flags | Default
0010 | Vendor Name | manufracturer designation | String | R | Beckhoff Automation GmbH & Co. KG
Index 0011 Vendor Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0011 | Vendor Text | manufacturer specific text | String | R | www.beckhoff.com
Index 0012 Product Name
Index (hex) | Name | Meaning | Data type | Flags | Default
0012 | Product Name | product designation | String | R | EPI2809-002x, ERI2809-002x
Index 0013 Product ID
Index (hex) | Name | Meaning | Data type | Flags | Default
0013 | Product ID | product designation | String | R | EPI2809-002x, ERI2809-002x
Index 0014 Product Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0014 | Product Text | product description | String | R | 16 DO Module
Index 0015 Serial Number
Index (hex) | Name | Meaning | Data type | Flags | Default
0015 | Serial Number | serial number (Individual serial number. Independent of the lasered serial number) | String | R | 00000000
Index 0016 Hardware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0016 | Hardware Version | Hardware revision | String | R | 01
Index 0017 Firmware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0017 | Firmware Version | Firmware version | String | R | 01
Index 0018 Application Specific Tag
Index (hex) | Name | Meaning | Data type | Flags | Default
0018 | Application Specific Tag | application specific description | String | RW | ********************** **********
Index 0A00 Diagnosis
Index (hex) | Name | Meaning | Data type | Flags | Default
0A00:01 | Overtemperature | overheating of the IO-Link modules | BOOL | RO | FALSE
0A00:02 | Short detected | short circuit on the IO-Link C/Q data line | BOOL | RO | FALSE
0A00:03 | US low | supply voltage too low (< 18V) | BOOL | RO | FALSE
0A00:04 | UP low | Additional power supply too low (<18V) | BOOL | RO | FALSE
0A00:05 | UP stat | Additional power supply non-existent (<8V) | BOOL | RO | FALSE
0A00:06 - 0A00:07 | Reserved | - | BOOL | RO | FALSE
0A00:08 | Port 0-7 output overcurrent | Overcurrent detected on one of the digital outputs port 0-7 | BOOL | RO | FALSE
0A00:09 | Port 8-15 output overcurrent | Overcurrent detected on one of the digital outputs port 8-15 | BOOL | RO | FALSE
0A00:0A - 0A00:10 | Reserved | - | BOOL | RO | FALSE


EPI2338-000x, ERI2338-000x - Object description and parameterization

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2338-000x, ERI2338-000x - Object description and parameterization
EPI2338-000x, ERI2338-000x - Object description and parameterization
IO-Link IODD Device Description
The display corresponds to the display of the IO-Link device parameters. It is advisable to download the latest IO-Link IODD device description files from the Download section of the Beckhoff website and install them according to the installation instructions.
Parameter server (data storage)
The IO-Link boxes support the data storage functionality according to protocol revision 1.1. The parameters 0x0018 (application-specific tag) and 0x08n0 (settings) are secured with the IO-Link master. In order to use this functionality, the IO-Link master must also support it. (e.g. with the Beckhoff EP6224-xxxx IO-Link master from firmware 10) Changes to these parameters are saved by the IO-Link master and restored when the box is replace with an identical IO-Link box. How to use the data storage functionality is explained in chapter EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters.
Index 0000 Direct Parameters 1
Index (hex) | Name | Meaning | Data type | Flags | Default
0000:01 | Reserved | - | UINT8 | RO | 0
0000:02 | Master Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:03 | Min Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:04 | M-Sequence Capability | IO-Link specific | UINT8 | RO | 1
0000:05 | IO-Link Version ID | IO-Link specific | UINT8 | RO | 17
0000:06 | Process Data Input Length | IO-Link specific | UINT8 | RO | 16
0000:07 | Process Data Output Length | IO-Link specific | UINT8 | RO | 16
0000:08 - 0000:09 | Vendor ID | manufacturer ID | UINT8 | RO | 0x0120
0000:0A - 0000:0C | Device ID | device ID | UINT8 | RO | 0x233900
0000:0D - 0000:0F | Reserved | - | UINT8 | RO | 255
0000:10 | System Command | IO-Link specific |  | RO | 255
Direct Parameter Page 2
Index (hex) | Name | Meaning | Data type | Flags | Default
0001:01 - 0001:10 | Device Specific Parameter | IO-Link specific | UINT8 | RW | 0
Index 0002 Standard Command
Index (hex) | Name | Meaning | Data type | Flags | Default
0002 | Standard Command | IO-Link specific | UINT8 | W | 0
Index 000C Device Access Locks
Index (hex) | Name | Meaning | Data type | Flags | Default
000C:01 | Parameter (write) Access Lock | unassisted | BOOL | RW | FALSE
000C:02 | Data Storage Lock | unassisted | BOOL | RW | FALSE
000C:03 | Local Parameterization Lock | unassisted | BOOL | RW | FALSE
000C:04 | Local User Interface Lock | unassisted | BOOL | RW | FALSE
Index 0010 Vendor Name
Index (hex) | Name | Meaning | Data type | Flags | Default
0010 | Vendor Name | manufracturer designation | String | R | Beckhoff Automation GmbH & Co. KG
Index 0011 Vendor Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0011 | Vendor Text | manufacturer specific text | String | R | www.beckhoff.com
Index 0012 Product Name
Index (hex) | Name | Meaning | Data type | Flags | Default
0012 | Product Name | product designation | String | R | EPI2338-000x, ERI2338-000x
Index 0013 Product ID
Index (hex) | Name | Meaning | Data type | Flags | Default
0013 | Product ID | product designation | String | R | EPI2338-000x, ERI2338-000x
Index 0014 Product Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0014 | Product Text | product description | String | R | 8 DIO Module
Index 0015 Serial Number
Index (hex) | Name | Meaning | Data type | Flags | Default
0015 | Serial Number | serial number (Individual serial number. Independent of the lasered serial number) | String | R | 00000000
Index 0016 Hardware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0016 | Hardware Version | Hardware revision | String | R | 01
Index 0017 Firmware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0017 | Firmware Version | Firmware version | String | R | 01
Index 0018 Application Specific Tag
Index (hex) | Name | Meaning | Data type | Flags | Default
0018 | Application Specific Tag | application specific description | String | RW | ********************** **********
Index 0800 Settings
Index (hex) | Name | Meaning | Data type | Flags | Default
0800:01 | Input Filter | debounce for digital inputs | UINT8 | RW | 3ms
0800:02 | Signal Extension | signal extension for digital inputs | UINT8 | RW | off
Index 0A00 Diagnosis
Index (hex) | Name | Meaning | Data type | Flags | Default
0A00:01 | Overtemperature | overheating of the IO-Link modules | BOOL | RO | FALSE
0A00:02 | Short detected | short circuit on the IO-Link C/Q data line | BOOL | RO | FALSE
0A00:03 | US low | supply voltage too low (< 18V) | BOOL | RO | FALSE
0A00:04 | UP low | Additional power supply too low (<18V) | BOOL | RO | FALSE
0A00:05 | UP stat | Additional power supply non-existent (<8V) | BOOL | RO | FALSE
0A00:06 - 0A00:10 | Reserved | - | BOOL | RO | FALSE


EPI2339-002x, ERI2339-002x - Object description and parameterization

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] EPI2339-002x, ERI2339-002x - Object description and parameterization
EPI2339-002x, ERI2339-002x - Object description and parameterization
IO-Link IODD Device Description
The display corresponds to the display of the IO-Link device parameters. It is advisable to download the latest IO-Link IODD device description files from the Download section of the Beckhoff website and install them according to the installation instructions.
Parameter server (data storage)
The IO-Link boxes support the data storage functionality according to protocol revision 1.1. The parameters 0x0018 (application-specific tag) and 0x08n0 (settings) are secured with the IO-Link master. In order to use this functionality, the IO-Link master must also support it. (e.g. with the Beckhoff EP6224-xxxx IO-Link master from firmware 10) Changes to these parameters are saved by the IO-Link master and restored when the box is replace with an identical IO-Link box. How to use the data storage functionality is explained in chapter EPIxxxx, ERIxxxx - Setting of the IO-Link device parameters.
Index 0000 Direct Parameters 1
Index (hex) | Name | Meaning | Data type | Flags | Default
0000:01 | Reserved | - | UINT8 | RO | 0
0000:02 | Master Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:03 | Min Cycle Time | IO-Link specific | UINT8 | RO | 5
0000:04 | M-Sequence Capability | IO-Link specific | UINT8 | RO | 1
0000:05 | IO-Link Version ID | IO-Link specific | UINT8 | RO | 17
0000:06 | Process Data Input Length | IO-Link specific | UINT8 | RO | 16
0000:07 | Process Data Output Length | IO-Link specific | UINT8 | RO | 16
0000:08 - 0000:09 | Vendor ID | manufacturer ID | UINT8 | RO | 0x0120
0000:0A - 0000:0C | Device ID | device ID | UINT8 | RO | 0x233900
0000:0D - 0000:0F | Reserved | - | UINT8 | RO | 255
0000:10 | System Command | IO-Link specific |  | RO | 255
Direct Parameter Page 2
Index (hex) | Name | Meaning | Data type | Flags | Default
0001:01 - 0001:10 | Device Specific Parameter | IO-Link specific | UINT8 | RW | 0
Index 0002 Standard Command
Index (hex) | Name | Meaning | Data type | Flags | Default
0002 | Standard Command | IO-Link specific | UINT8 | W | 0
Index 000C Device Access Locks
Index (hex) | Name | Meaning | Data type | Flags | Default
000C:01 | Parameter (write) Access Lock | unassisted | BOOL | RW | FALSE
000C:02 | Data Storage Lock | unassisted | BOOL | RW | FALSE
000C:03 | Local Parameterization Lock | unassisted | BOOL | RW | FALSE
000C:04 | Local User Interface Lock | unassisted | BOOL | RW | FALSE
Index 0010 Vendor Name
Index (hex) | Name | Meaning | Data type | Flags | Default
0010 | Vendor Name | manufracturer designation | String | R | Beckhoff Automation GmbH & Co. KG
Index 0011 Vendor Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0011 | Vendor Text | manufacturer specific text | String | R | www.beckhoff.com
Index 0012 Product Name
Index (hex) | Name | Meaning | Data type | Flags | Default
0012 | Product Name | product designation | String | R | EPI2339-002x, ER2339-002x
Index 0013 Product ID
Index (hex) | Name | Meaning | Data type | Flags | Default
0013 | Product ID | product designation | String | R | EPI2339-002x, ER2339-002x
Index 0014 Product Text
Index (hex) | Name | Meaning | Data type | Flags | Default
0014 | Product Text | product description | String | R | 16 DIO Module
Index 0015 Serial Number
Index (hex) | Name | Meaning | Data type | Flags | Default
0015 | Serial Number | serial number (Individual serial number. Independent of the lasered serial number) | String | R | 00000000
Index 0016 Hardware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0016 | Hardware Version | Hardware revision | String | R | 01
Index 0017 Firmware Version
Index (hex) | Name | Meaning | Data type | Flags | Default
0017 | Firmware Version | Firmware version | String | R | 01
Index 0018 Application Specific Tag
Index (hex) | Name | Meaning | Data type | Flags | Default
0018 | Application Specific Tag | application specific description | String | RW | ********************** **********
Index 0800 Settings
Index (hex) | Name | Meaning | Data type | Flags | Default
0800:01 | Input Filter | debounce for digital inputs | UINT8 | RW | 3ms
0800:02 | Signal Extension | signal extension for digital inputs | UINT8 | RW | off
Index 0A00 Diagnosis
Index (hex) | Name | Meaning | Data type | Flags | Default
0A00:01 | Overtemperature | overheating of the IO-Link modules | BOOL | RO | FALSE
0A00:02 | Short detected | short circuit on the IO-Link C/Q data line | BOOL | RO | FALSE
0A00:03 | US low | supply voltage too low (< 18V) | BOOL | RO | FALSE
0A00:04 | UP low | Additional power supply too low (<18V) | BOOL | RO | FALSE
0A00:05 | UP stat | Additional power supply non-existent (<8V) | BOOL | RO | FALSE
0A00:06 | Port 0-7 UP short | short circuit detected on one of the digital ports 0-7 | BOOL | RO | FALSE
0A00:07 | Port 8-15 UP short | short circuit detected on one of the digital ports 8-15 | BOOL | RO | FALSE
0A00:08 | Port 0-7 output overcurrent | Overcurrent detected on one of the digital outputs port 0-7 | BOOL | RO | FALSE
0A00:09 | Port 8-15 output overcurrent | Overcurrent detected on one of the digital outputs port 8-15 | BOOL | RO | FALSE
0A00:0A - 00A00:10 | Reserved | - | BOOL | RO | FALSE


Firmware update of the IO-Link device

Commissioning/configuration of IO-Link master/device [image] IO-Link device [image] Firmware update of the IO-Link device
Firmware update of the IO-Link device
Firmware update only possible with EtherCAT IO-Link master products
The firmware update of the IO-Link device is only possible with the EP6224-xxxx, EP6228-xxxx and EL6224. A firmware update is not possible with the KL6224.
An update of the box firmware is currently supported via the EP622x-xxxx IO-Link master box and the TwinCAT System Manager from version 2.11 R3 build 2248 or TwinCAT 3.1 build 4018.
The firmware update is performed directly via the IO-Link interface. To this end the box must be connected to the EP622x-xxxx and in Operational state. The update is started in the Advanced dialog of the corresponding IO-Link port (see the two figures below).
1.
Select the EP622x-xxxx Box in the System Manager,
2.
in the IO-Link tab, right click on the appropriate port
3.
open the Settings tab,
4.
select the Advanced button
5.
Select IO-Link firmware files via the Download button (use the file extension *.efw).
The Firmware Update dialog is only displayed for supported Beckhoff IO-Link devices. Once the *.efw file has been checked, the firmware update starts automatically. This process must not be interrupted! After a successful update, the box is automatically restarted and therefore usually does not have to be de-energized. Device-specific settings (Appl. -Specific Tag, Settings) will not be lost.
IO-Link settings - download firmware update
The firmware version that is currently used can be obtained as follows (see the figure below):
1.
Select the EP622x-xxxx Box in the System Manager,
2.
In the IO-Link tab, right click on the appropriate port
3.
open the Parameter tab,
4.
select Index 0x017 (firmware version)
5.
click the Read button
6.
The firmware version is read out and displayed when IO-Link communication to the box is active.
IO-Link parameters - firmware version


Appendix

Appendix
Appendix
Additional information
•
General operating conditions
•
IP67 Box - Accessories
•
Support and Service


General operating conditions

Appendix [image] General operating conditions
General operating conditions
Protection degrees (IP-Code)
The standard IEC 60529 (DIN EN 60529) defines the degrees of protection in different classes.
1. Number: dust protection and touch guard | Definition
0 | Non-protected
1 | Protected against access to hazardous parts with the back of a hand. Protected against solid foreign objects of Ø 50 mm
2 | Protected against access to hazardous parts with a finger. Protected against solid foreign objects of Ø 12.5 mm.
3 | Protected against access to hazardous parts with a tool. Protected against solid foreign objects Ø 2.5 mm.
4 | Protected against access to hazardous parts with a wire. Protected against solid foreign objects Ø 1 mm.
5 | Protected against access to hazardous parts with a wire. Dust-protected. Intrusion of dust is not totally prevented, but dust shall not penetrate in a quantity to interfere with satisfactory operation of the device or to impair safety.
6 | Protected against access to hazardous parts with a wire. Dust-tight. No intrusion of dust.
2. Number: water* protection | Definition
0 | Non-protected
1 | Protected against water drops
2 | Protected against water drops when enclosure tilted up to 15°.
3 | Protected against spraying water. Water sprayed at an angle up to 60° on either side of the vertical shall have no harmful effects.
4 | Protected against splashing water. Water splashed against the disclosure from any direction shall have no harmful effects
5 | Protected against water jets
6 | Protected against powerful water jets
7 | Protected against the effects of temporary immersion in water. Intrusion of water in quantities causing harmful effects shall not be possible when the enclosure is temporarily immersed in water for 30 min. in 1 m depth.
*) These protection classes define only protection against water!
Chemical Resistance
The Resistance relates to the Housing of the IP 67 modules and the used metal parts. In the table below you will find some typical resistance.
Character | Resistance
Steam | at temperatures >100°C: not resistant
Sodium base liquor (ph-Value > 12) | at room temperature: resistant > 40°C: not resistant
Acetic acid | not resistant
Argon (technical clean) | resistant
Key
▪
resistant: Lifetime several months
▪
non inherently resistant: Lifetime several weeks
▪
not resistant: Lifetime several hours resp. early decomposition


IP67 Box - Accessories

Appendix [image] IP67 Box - Accessories
IP67 Box - Accessories
Fixing
Ordering information | Description
ZS5300-0001 | Mounting rail (500 mm x 129 mm)
Marking material, plugs
Ordering information | Description
ZS5000-0000 | Fieldbus Box set M8 (contact labels, plugs)
ZS5000-0002 | Fieldbus Box set M12 (contact labels, plugs)
ZS5000-0010 | plugs M8, IP67 (50 pieces)
ZS5000-0020 | plugs M12, IP67 (50 pieces)
ZS5100-0000 | marking labels, not printed, 4 stripes at 10 pieces
ZS5100-xxxx | printed marking labels, on request
Tools
Ordering information | Description
ZB8800 | torque socket wrench with ratchet wrench for M8 connectors (over molded)
ZB8800-0001 | ratchet wrench for M8 connectors (field assembly)
ZB8800-0002 | ratchet wrench for M12 connectors (over molded)
ZB8801 | torque wrench adjustable for M8 and M12 connectors
ZB8801-0001 | ratched wrench for M8 connectors (over molded)
ZB8801-0002 | ratched wrench for M8 connectors (field assembly) and M12 connectors (over molded)
ZB8801-0003 | ratched wrench for M12 connectors (field assembly)
Further accessories
Further accessories may be found at the price list for Beckhoff fieldbus components and at the internet under http://www.beckhoff.de/english/fieldbus_box/data_sheets.htm?id=69033899254355.


Support and Service

Appendix [image] Support and Service
Support and Service
Beckhoff and their partners around the world offer comprehensive support and service, making available fast and competent assistance with all questions related to Beckhoff products and system solutions.
Beckhoff's branch offices and representatives
Please contact your Beckhoff branch office or representative for local support and service on Beckhoff products!
The addresses of Beckhoff's branch offices and representatives round the world can be found on her internet pages:
http://www.beckhoff.com
You will also find further documentation for Beckhoff components there.
Beckhoff Headquarters
Beckhoff Automation GmbH & Co. KG
Huelshorstweg 20
33415 Verl
Germany
Phone: | +49 5246 963 0
Fax: | +49 5246 963 198
e-mail: | info@beckhoff.com
Beckhoff Support
Support offers you comprehensive technical assistance, helping you not only with the application of individual Beckhoff products, but also with other, wide-ranging services:
▪
support
▪
design, programming and commissioning of complex automation systems
▪
and extensive training program for Beckhoff system components
Hotline: | +49 5246 963 157
Fax: | +49 5246 963 9157
e-mail: | support@beckhoff.com
Beckhoff Service
The Beckhoff Service Center supports you in all matters of after-sales service:
▪
on-site service
▪
repair service
▪
spare parts service
▪
hotline service
Hotline: | +49 5246 963 460
Fax: | +49 5246 963 479
e-mail: | service@beckhoff.com